From: Damien Leone <damien.leone@fensalir.fr>
Subject: Provide a ChangeLog file generated from git.
Index: ncmpcpp-0.5.10/ChangeLog
===================================================================
--- ncmpcpp-0.5.10.orig/ChangeLog	1969-12-31 16:00:00.000000000 -0800
+++ ncmpcpp-0.5.10/ChangeLog	2012-05-12 14:29:32.993644256 -0700
@@ -0,0 +1,2880 @@
+  2012-04-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / 0.5.10 release
+
+  2012-03-30 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/visualizer.cpp, src/window.cpp: fix compilation with gcc-4.7 (ticket
+ #3478)  thanks for strcat for the patch.
+
+  2012-03-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / 0.5.9 release
+
+ * src/ncmpcpp.cpp, src/status.cpp: display ncmpcpp instead of ncmpc++ in
+ window's title
+
+ * extras/artist_to_albumartist.cpp, src/browser.cpp, src/browser.h,
+ src/charset.cpp, src/charset.h, src/clock.cpp, src/clock.h, src/conv.cpp,
+ src/conv.h, src/curl_handle.cpp, src/curl_handle.h, src/display.cpp,
+ src/display.h, src/error.cpp, src/error.h, src/global.h, src/help.cpp,
+ src/help.h, src/helpers.cpp, src/helpers.h, src/lastfm.cpp, src/lastfm.h,
+ src/lastfm_service.cpp, src/lastfm_service.h, src/lyrics.cpp, src/lyrics.h,
+ src/lyrics_fetcher.cpp, src/lyrics_fetcher.h, src/media_library.cpp,
+ src/media_library.h, src/menu.cpp, src/menu.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/ncmpcpp.h, src/outputs.cpp, src/outputs.h,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.cpp, src/screen.h, src/scrollpad.cpp,
+ src/scrollpad.h, src/search_engine.cpp, src/search_engine.h,
+ src/sel_items_adder.cpp, src/sel_items_adder.h, src/server_info.cpp,
+ src/server_info.h, src/settings.cpp, src/settings.h, src/song.cpp,
+ src/song.h, src/song_info.cpp, src/song_info.h, src/status.cpp, src/status.h,
+ src/strbuffer.h, src/tag_editor.cpp, src/tag_editor.h,
+ src/tiny_tag_editor.cpp, src/tiny_tag_editor.h, src/tolower.cpp,
+ src/tolower.h, src/visualizer.cpp, src/visualizer.h, src/window.cpp,
+ src/window.h: update copyright dates
+
+  2012-01-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/browser.h, src/mpdpp.cpp, src/mpdpp.h: local browser:
+ properly check if file extension is supported
+
+  2011-12-29 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lyrics.cpp, src/lyrics.h: lyrics fetcher: limit number of worker
+ threads downloading lyrics in background
+
+  2011-12-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp, src/settings.h,
+ src/visualizer.cpp: settings: make characters used in visualizer customizable
+
+  2011-11-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyrics fetcher: add support
+ for lololyrics.com
+
+  2011-11-19 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/screen.cpp, src/status.cpp: fixes for overwriting not
+ mergable screen displayed on top of merged ones
+
+  2011-11-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/Makefile.am, src/browser.cpp, src/global.h,
+ src/helpers.cpp, src/home.h, src/lastfm.cpp, src/lyrics.cpp, src/lyrics.h,
+ src/ncmpcpp.cpp, src/settings.cpp, src/settings.h, src/tag_editor.cpp,
+ src/tag_editor.h: settings: provide a way to use alternative location for
+ configuration file  ..and whole data folder.
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/playlist_editor.cpp,
+ src/settings.cpp, src/settings.h: playlist editor: add support for columns
+ display mode
+
+  2011-11-12 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h: settings: provide a way to disable asking for locked screen's
+ width
+
+ * src/conv.cpp, src/settings.cpp: settings: compare config option/key names
+ properly
+
+ * doc/config, doc/ncmpcpp.1, src/Makefile.am, src/browser.cpp, src/browser.h,
+ src/clock.cpp, src/clock.h, src/display.cpp, src/display.h, src/global.h,
+ src/help.cpp, src/help.h, src/helpers.cpp, src/helpers.h, src/lastfm.cpp,
+ src/lastfm.h, src/lyrics.cpp, src/lyrics.h, src/media_library.cpp,
+ src/media_library.h, src/ncmpcpp.cpp, src/outputs.cpp, src/outputs.h,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.cpp, src/screen.h, src/search_engine.cpp,
+ src/search_engine.h, src/sel_items_adder.h, src/server_info.h,
+ src/settings.cpp, src/settings.h, src/song_info.cpp, src/song_info.h,
+ src/status.cpp, src/tag_editor.cpp, src/tag_editor.h,
+ src/tiny_tag_editor.cpp, src/tiny_tag_editor.h, src/visualizer.cpp,
+ src/visualizer.h: new feature: support for merging screens together
+
+  2011-11-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp, src/settings.h,
+ src/visualizer.cpp, src/visualizer.h: new feature: support for stereo
+ visualization
+
+  2011-11-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/browser.h, src/charset.cpp, src/charset.h,
+ src/clock.cpp, src/clock.h, src/conv.cpp, src/conv.h, src/curl_handle.cpp,
+ src/curl_handle.h, src/display.cpp, src/display.h, src/error.cpp,
+ src/error.h, src/global.h, src/help.cpp, src/help.h, src/helpers.cpp,
+ src/helpers.h, src/home.h, src/lastfm.cpp, src/lastfm.h,
+ src/lastfm_service.cpp, src/lastfm_service.h, src/lyrics.cpp, src/lyrics.h,
+ src/lyrics_fetcher.cpp, src/lyrics_fetcher.h, src/media_library.cpp,
+ src/media_library.h, src/menu.cpp, src/menu.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/ncmpcpp.h, src/outputs.cpp, src/outputs.h,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.h, src/scrollpad.cpp, src/scrollpad.h,
+ src/search_engine.cpp, src/search_engine.h, src/sel_items_adder.cpp,
+ src/sel_items_adder.h, src/server_info.cpp, src/server_info.h,
+ src/settings.cpp, src/settings.h, src/song.cpp, src/song.h,
+ src/song_info.cpp, src/song_info.h, src/status.cpp, src/status.h,
+ src/strbuffer.h, src/tag_editor.cpp, src/tag_editor.h,
+ src/tiny_tag_editor.cpp, src/tiny_tag_editor.h, src/tolower.cpp,
+ src/tolower.h, src/visualizer.cpp, src/visualizer.h, src/window.cpp,
+ src/window.h: update copyright dates
+
+  2011-10-18 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/keys, doc/ncmpcpp.1, src/curl_handle.cpp, src/help.cpp,
+ src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h, src/status.cpp: new feature: support for fetching lyrics for
+ currently playing song in background
+
+  2011-10-11 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2011-10-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/ncmpcpp.cpp: add support for asx/cue/m3u/pls/xspf
+ playlists
+
+  2011-08-27 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/ncmpcpp.1, src/helpers.cpp: fixes for previous patch
+ (indentation/compilation)
+
+  2011-07-10 Marc Jessome <marc.jessome@gmail.com>
+
+ * doc/ncmpcpp.1, src/helpers.cpp: Add -s/--screen option to launch to a
+ specific screen.
+
+  2011-07-07 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/keys, src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h:
+ adjust indentation of code from previous patches and make shift-tab
+ customizable
+
+  2011-05-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: add support for fetching
+ lyrics from justsomelyrics.com
+
+  2011-04-21 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2011-02-25 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * extras/Makefile, extras/artist_to_albumartist.cpp: extras: add program that
+ copies Artist to AlbumArtist for mp3/ogg/flac files
+
+  2011-02-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/playlist.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/settings.cpp, src/settings.h: remove $? formatting
+ from song format while converting to string  this fixes wrong results while
+ searching for phrase that contains dollar or one of dollar formatting.
+
+  2011-02-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/tag_editor.cpp, src/tiny_tag_editor.cpp: tag editor: do not convert
+ filenames back to utf8 while reading files using taglib  it was assumed that
+ filesystem encoding is utf8, but that's wrong. now it's assumed that it
+ matches system encoding.
+
+  2011-01-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyrics fetcher: add support
+ for lyricsvip.com
+
+  2011-01-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/menu.h, src/search_engine.h: search engine: fix error occuring while
+ trying to select first album in results
+
+  2011-01-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2010-12-08 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyrics fetcher: if lyrics
+ weren't found, attempt to search for them globally
+
+  2010-09-20 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/curl_handle.cpp, src/lastfm.h, src/lyrics.h: fix mingw32 compilation
+
+  2010-09-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lastfm.cpp, src/lyrics.cpp: lyrics/lastfm: refetch data if file didn't
+ exist before
+
+  2010-09-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/media_library.cpp, src/settings.cpp,
+ src/settings.h: settings: make displaying 'empty tag' entry optional
+
+  2010-09-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2010-08-29 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lastfm.cpp, src/lastfm.h, src/ncmpcpp.cpp: fix switching to artist info
+ screen  if one switched from artist info screen while artist info was being
+ downloaded, {s,}he wouldn't be able to enter the screen again.
+
+  2010-08-25 Alexey Semenko <igogo.dev@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/browser.cpp, src/media_library.cpp,
+ src/ncmpcpp.cpp, src/playlist.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/settings.cpp, src/settings.h, src/tag_editor.cpp:
+ titles_visibility configuration option
+
+  2010-08-24 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/media_library.cpp, src/media_library.h: media library: search
+ constraints: rename Artist to PrimaryTag  it makes much more sense since
+ 'Artist' can be also date, composer etc.
+
+ * src/media_library.cpp, src/media_library.h: media library: show songs with
+ primary tag unspecified  thanks to Alexey Semenko <igogo.dev@gmail.com> for
+ base patch
+
+  2010-08-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: support adding last.fm streams
+ to playlist
+
+ * src/helpers.cpp, src/settings.cpp, src/song.cpp, src/song.h: perform one
+ more check on song formats  it detects something like this: %. (where .
+ doesn't stand for a valid tag type).
+
+  2010-08-22 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: handle possible errors while
+ saving playlist properly
+
+ * doc/config, doc/ncmpcpp.1, src/song.cpp: song format: add support for
+ limiting maximal length of a tag
+
+ * src/conv.cpp, src/conv.h, src/display.cpp, src/song.cpp: merge some
+ duplicated code in parsing song formats
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp, src/status.cpp: settings: make
+ progressbar_look support 'empty' part of progressbar
+
+ * src/lyrics.cpp, src/ncmpcpp.cpp: fix compilation --without-curl
+
+  2010-08-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/lyrics.cpp, src/lyrics.h, src/settings.cpp,
+ src/settings.h: lyrics: add support for storing lyrics in song's directory
+
+ * doc/keys, src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h:
+ settings: use separate bindings for switching between columns
+
+  2010-08-16 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyrics fetcher: remove
+ lyricsfly.com support  I'll take not answering for a week my e-mail with
+ request for permanent  userid key as "no".
+
+ * src/media_library.cpp, src/ncmpcpp.cpp: fix 'media library: fix filter
+ issues'
+
+ * src/media_library.cpp, src/menu.h, src/ncmpcpp.cpp: media library: fix
+ filter issues
+
+  2010-08-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lastfm_service.cpp, src/lastfm_service.h: include
+ lastfm_service.{cpp,h}  ops, I forgot to add them.
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp, src/settings.h,
+ src/visualizer.cpp: settigs: add support for custom visualization color
+
+ * doc/keys, src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h:
+ add support for 'replay' function (play current song from the beginning)
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h: settings: add support for preferred last.fm info language
+
+ * src/lastfm.cpp, src/lastfm.h: lastfm: put code that takes info from a
+ thread to separate function
+
+ * src/lyrics.cpp, src/lyrics.h: lyrics: some code beautification +
+ Lyrics::SwitchTo() corrections
+
+ * src/Makefile.am, src/error.h, src/help.cpp, src/info.cpp, src/info.h,
+ src/lastfm.cpp, src/lastfm.h, src/lyrics.cpp, src/ncmpcpp.cpp: lastfm:
+ redesigned plugins system
+
+  2010-08-11 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyrics fetcher: add
+ sing365.com db support + a few corrections
+
+ * src/conv.cpp, src/lyrics_fetcher.cpp: lyrics fetcher: strip html tags from
+ lyrics from lyricsfly.com
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyrics fetcher: add
+ songlyrics.com and lyriczz.com support
+
+  2010-08-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/display.cpp, src/info.cpp, src/info.h,
+ src/ncmpcpp.cpp, src/song_info.cpp, src/song_info.h, src/tag_editor.cpp,
+ src/tiny_tag_editor.cpp: separate 'song info' functionality from Info class
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyrics fetcher: convert
+ lyrics from lyricsmania.com to utf8
+
+ * src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.cpp: lyrics: restore database
+ selector
+
+ * src/charset.cpp, src/charset.h, src/conv.cpp, src/conv.h,
+ src/curl_handle.cpp, src/curl_handle.h, src/info.cpp, src/lyrics_fetcher.cpp,
+ src/lyrics_fetcher.h: lyrics: add support for lyricstime.com, metrolyrics.com
+ and lyricsmania.com
+
+ * src/lyrics.cpp, src/lyrics.h: lyrics: use pthread_t instead of pthread_t *
+
+ * src/lyrics.cpp, src/lyrics.h, src/status.cpp: lyrics: pass wrapper around
+ member function to new thread  + some more code refactoring
+
+ * src/lyrics.cpp, src/lyrics.h, src/status.cpp: lyrics: general code
+ refactoring
+
+ * src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.cpp: lyrics: rename
+ Lyrics::FetchAgain() to Lyrics::Refetch()
+
+ * src/lyrics.cpp, src/lyrics.h: lyrics: move code that saves lyrics to
+ separate function
+
+ * src/helpers.cpp, src/helpers.h, src/mpdpp.cpp, src/status.cpp: browser: if
+ current dir doesn't exists, go down one level automatically
+
+  2010-08-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/conv.cpp, src/conv.h, src/info.cpp, src/lyrics_fetcher.cpp: conv: give
+ function EscapeHtml much more appropriate name (StripHtmlTags)
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyricwiki fetcher: deal with
+ utf8 characters properly
+
+ * src/lyrics_fetcher.cpp, src/lyrics_fetcher.h: lyrics fetcher: add
+ lyricwiki.com database support
+
+ * configure.in, src/curl_handle.cpp, src/curl_handle.h, src/global.h,
+ src/helpers.cpp, src/info.cpp, src/info.h, src/lyrics.cpp, src/lyrics.h,
+ src/ncmpcpp.h: remove optional pthread support - it's mandatory now
+
+ * doc/config, doc/ncmpcpp.1, src/Makefile.am, src/curl_handle.cpp,
+ src/curl_handle.h, src/lyrics.cpp, src/lyrics.h, src/lyrics_fetcher.cpp,
+ src/lyrics_fetcher.h, src/ncmpcpp.cpp, src/settings.cpp: lyrics: redesigned
+ plugins system
+
+ * src/Makefile.am, src/curl_handle.cpp, src/curl_handle.h, src/helpers.cpp,
+ src/helpers.h, src/info.cpp, src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.h: put
+ CURL related functions into a separate file
+
+  2010-08-08 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/lyrics.cpp, src/lyrics.h: lyrics: add support for
+ lyricsfly.com database
+
+ * doc/config, src/lyrics.cpp, src/lyrics.h: replace lyricsplugin.com with
+ lyrc.com.ar as the former no longer works  this is sorta workaround, I need
+ to add at least leolyrics and lyricsfly databases support, but they require
+ unique user ids. btw, plugin system in its current form is horrible mess and
+ it *really* needs to be redesigned.
+
+  2010-07-14 Frank Blendinger <fb@intoxicatedmind.net>
+
+ * doc/keys, src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h:
+ add separate keys to move sel. before/after cursor
+
+  2010-07-12 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/ncmpcpp.1, src/browser.cpp, src/browser.h, src/display.cpp,
+ src/display.h, src/help.cpp, src/media_library.cpp, src/media_library.h,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.h, src/search_engine.cpp,
+ src/search_engine.h, src/tag_editor.h: make feature 'display separators
+ between albums' work in all screens
+
+ * src/browser.cpp, src/browser.h, src/ncmpcpp.cpp: browser: add support for
+ deleting group of selected items
+
+  2010-07-03 Frank Blendinger <fb@intoxicatedmind.net>
+
+ * src/ncmpcpp.cpp, src/search_engine.cpp, src/search_engine.h:
+ key_select_album also works in search results now
+
+ * doc/keys, src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h:
+ add key_select_album: select album around cursor  Default key for this is
+ 'B'. This use to be the default for ToggleBitrateVisibility, which has
+ changed to '#'.
+
+  2010-06-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/display.cpp, src/helpers.cpp, src/helpers.h,
+ src/ncmpcpp.cpp, src/tag_editor.cpp: browser: support operations on m3u
+ playlists not created by mpd
+
+  2010-06-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/media_library.cpp, src/mpdpp.cpp, src/mpdpp.h, src/tag_editor.cpp:
+ media library/tag editor: block idle while doing hierarchical searches  idle
+ should be blocked in such cases since it would be enabled and disabled a few
+ times by each mpd command, which makes no sense and slows down the whole
+ process.
+
+  2010-06-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2010-05-29 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/media_library.cpp, src/ncmpcpp.cpp: media library: fix compatibility
+ with mpd < 0.14
+
+  2010-05-18 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/media_library.cpp, src/media_library.h: media library: support for "All
+ tracks" option in middle column
+
+  2010-05-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/display.cpp, src/helpers.cpp, src/playlist.cpp,
+ src/settings.cpp, src/settings.h: new feature: support for multiple tag types
+ in one column
+
+ * doc/config, src/display.cpp, src/helpers.cpp, src/settings.cpp,
+ src/settings.h: new feature: customizable columns' names
+
+  2010-05-14 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/window.cpp: fix compilation with mingw32
+
+ * doc/config, doc/ncmpcpp.1, src/playlist.cpp, src/settings.cpp,
+ src/settings.h: new feature: shorten units' names displayed in statusbar
+ while being in playlist
+
+ * doc/keys, src/settings.cpp: let keybinding for bitrate visibility toggle be
+ customized
+
+ * doc/config, doc/keys, doc/ncmpcpp.1, src/display.cpp, src/help.cpp,
+ src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: new feature: separators
+ between albums in playlist
+
+ * src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h,
+ src/tag_editor.cpp, src/tag_editor.h: new feature: locate song in tag editor
+
+  2010-04-18 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: new
+ feature: toggle bitrate visibility at runtime
+
+ * src/help.cpp, src/settings.cpp, src/settings.h, src/visualizer.cpp: move
+ null_key into NcmpcppKeys
+
+  2010-04-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp: set mpd_communication_mode to
+ 'notifications' by default
+
+  2010-04-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2010-04-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/status.cpp, src/visualizer.cpp, src/visualizer.h: visualizer: set
+ refresh rate to 0.5 sec if mpd is not playing
+
+ * src/mpdpp.cpp, src/mpdpp.h: make MPD::Connection::Version() return integer
+ instead of float  full version is always 0.xx.0, where xx is current version
+ of protocol, so why bother with zeros...
+
+  2010-03-25 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/playlist.cpp, src/search_engine.cpp,
+ src/tag_editor.cpp: check for emptiness in some more places  these containers
+ can be empty escpecially if one wants to go for a trip around ncmpcpp screens
+ while connection to mpd is lost. this is highly unlikely to happen, but
+ should be secured anyway.
+
+  2010-03-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/status.cpp: fix error codes handling  MPD_ERROR_* and
+ MPD_SERVER_ERROR_* flags can have the same value, so we need to store it
+ separately in error_code.
+
+  2010-03-04 Damien Leone <damien.leone@fensalir.fr>
+
+ * doc/ncmpcpp.1, src/ncmpcpp.cpp: manpage, ncmpcpp: fix typos
+
+  2010-03-04 Frank Blendinger <fb@intoxicatedmind.net>
+
+ * src/help.cpp, src/ncmpcpp.cpp, src/playlist_editor.cpp,
+ src/playlist_editor.h: jump from browser to playlist editor with
+ GoToContainingDir key
+
+ * doc/keys, src/help.cpp, src/ncmpcpp.cpp, src/search_engine.cpp,
+ src/search_engine.h, src/settings.cpp, src/settings.h: add new movement keys:
+ {Up,Down}{Album,Artist}
+
+  2010-02-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp, src/settings.h,
+ src/status.cpp: make displaying volume level in statusbar optional
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2010-02-19 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp, src/settings.h,
+ src/visualizer.cpp: support user-defined interval between syncing visualizer
+ and audio outputs
+
+  2010-02-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: put configuration
+ related functions into appropriate structs
+
+ * src/helpers.cpp, src/helpers.h: uninline
+ CaseInsensitiveStringComparison::operator()
+
+ * : remove ChangeLog since it's empty and won't be updated
+
+  2010-02-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2010-02-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h: new feature: customizable startup screen
+
+  2010-02-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/playlist.cpp, src/playlist.h, src/screen.h: update playlist's timer
+ while scrolling with fancy_scrolling disabled  not updating it caused
+ highlight to be disabled during scrolling if key was being held long enough.
+
+ * src/browser.cpp, src/media_library.cpp, src/menu.h, src/outputs.cpp,
+ src/playlist.cpp, src/playlist_editor.cpp, src/screen.h,
+ src/search_engine.cpp, src/sel_items_adder.cpp, src/tag_editor.cpp,
+ src/tiny_tag_editor.cpp: center cursor directly in Menu class  centering in
+ Screen::Scroll is hacky and works only for scrolling, not e.g. selecting.
+
+ * src/display.cpp, src/settings.cpp, src/settings.h: display selected
+ item/now playing suffix in column view
+
+  2010-01-31 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/media_library.cpp: fixes for
+ db97a1a3186b2bbd9d36770e83aa5325db5ce77a
+
+  2010-01-31 Frank Blendinger <fb@intoxicatedmind.net>
+
+ * doc/config, doc/ncmpcpp.1, src/help.cpp, src/media_library.cpp,
+ src/settings.cpp, src/settings.h: add option
+ media_library_disable_two_column_mode
+
+  2010-01-31 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/display.cpp, src/strbuffer.h: fixes for
+ 2b39e6ed428dc478333f7f688bbe9d858caa0e8c
+
+  2010-01-30 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/display.cpp, src/settings.cpp,
+ src/settings.h: discard custom colors of selected items also in classic
+ display mode
+
+ * src/browser.cpp, src/browser.h, src/charset.cpp, src/charset.h,
+ src/clock.cpp, src/clock.h, src/conv.cpp, src/conv.h, src/display.cpp,
+ src/display.h, src/error.cpp, src/error.h, src/global.h, src/help.cpp,
+ src/help.h, src/helpers.cpp, src/helpers.h, src/home.h, src/info.cpp,
+ src/info.h, src/lyrics.cpp, src/lyrics.h, src/media_library.cpp,
+ src/media_library.h, src/menu.cpp, src/menu.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/ncmpcpp.h, src/outputs.cpp, src/outputs.h,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.h, src/scrollpad.cpp, src/scrollpad.h,
+ src/search_engine.cpp, src/search_engine.h, src/sel_items_adder.cpp,
+ src/sel_items_adder.h, src/server_info.cpp, src/server_info.h,
+ src/settings.cpp, src/settings.h, src/song.cpp, src/song.h, src/status.cpp,
+ src/status.h, src/strbuffer.h, src/tag_editor.cpp, src/tag_editor.h,
+ src/tiny_tag_editor.cpp, src/tiny_tag_editor.h, src/tolower.cpp,
+ src/tolower.h, src/visualizer.cpp, src/visualizer.h, src/window.cpp,
+ src/window.h: update copyright notices
+
+ * src/sel_items_adder.cpp, src/sel_items_adder.h: add support for adding
+ tracks to playlist after highlighted item
+
+ * src/Makefile.am, src/misc.cpp, src/misc.h, src/ncmpcpp.cpp,
+ src/sel_items_adder.cpp, src/sel_items_adder.h, src/status.cpp: rename
+ misc.{cpp,h} to sel_items_adder.{cpp,h}
+
+  2010-01-24 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/display.cpp, src/settings.cpp,
+ src/settings.h: discard column colors if item is selected (optional)
+
+ * doc/config, doc/ncmpcpp.1, src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h: add support for switching between user-defined sequence of
+ screens using Tab
+
+  2010-01-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/search_engine.cpp, src/search_engine.h: use key (F)4 to
+ reset search engine state while being in this screen
+
+ * src/display.cpp, src/tag_editor.cpp: use Info::Tags in tag editor
+
+ * doc/config, doc/ncmpcpp.1, src/conv.cpp, src/display.cpp, src/info.cpp,
+ src/ncmpcpp.cpp, src/song.cpp, src/song.h, src/tag_editor.cpp,
+ src/tiny_tag_editor.cpp: add support for album artist tag
+
+  2010-01-22 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/conv.cpp, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: add support for
+ adding random artists/albums to playlist
+
+ * doc/config, doc/ncmpcpp.1, src/mpdpp.cpp, src/mpdpp.h,
+ src/search_engine.cpp, src/search_engine.h, src/settings.cpp, src/settings.h:
+ add support for built-in mpd searching in search engine
+
+ * src/search_engine.cpp, src/search_engine.h: get rid of case sensivity
+ switch in search engine  I don't think anybody was using it.
+
+ * src/browser.cpp, src/clock.cpp, src/global.h, src/help.cpp,
+ src/helpers.cpp, src/info.cpp, src/lyrics.cpp, src/media_library.cpp,
+ src/mpdpp.cpp, src/outputs.cpp, src/playlist.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/server_info.cpp, src/status.cpp,
+ src/tag_editor.cpp, src/tiny_tag_editor.cpp, src/visualizer.cpp: get rid of
+ using directives  these in ncmpcpp.cpp stay since a lot of memebers are used.
+
+ * src/media_library.cpp, src/media_library.h: throw away unused function
+ (MediaLibrary::SortSongsByYear())
+
+ * doc/config, doc/ncmpcpp.1, src/media_library.cpp, src/settings.cpp,
+ src/settings.h: make displaying dates of albums in media library optional
+
+  2010-01-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/media_library.cpp, src/media_library.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/tag_editor.cpp: make media library show more songs (with
+ incomplete tags etc.)
+
+  2010-01-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/mpdpp.cpp: fix toggle command
+
+  2009-12-31 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+ * src/display.cpp, src/menu.h, src/settings.cpp, src/settings.h: fix drawing
+ selected_item_{prefix,suffix}
+
+  2009-12-27 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/info.cpp, src/lyrics.cpp: reset scrollpad's start position while
+ switching to lyrics/info screens
+
+  2009-12-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: add config options for communication mode
+ with mpd (polling for default)  idle support in ncmpcpp is marked
+ experimental since its support in mpd is not ready for general use in full
+ featured clients (see bug 2612)
+
+  2009-12-11 Frank Blendinger <fb@intoxicatedmind.net>
+
+ * src/media_library.cpp, src/media_library.h: enable selecting and add sel.
+ menu in media lib  Previously, selecting entries was only possible in the
+ "songs" column of the media library. Now it works in the "artists" and
+ "albums" column as well, allowing one to add whole albums and artist
+ collections to the playlist at specific positions via the "add selection"
+ menu.
+
+  2009-12-06 Frank Blendinger <fb@intoxicatedmind.net>
+
+ * doc/config, doc/ncmpcpp.1, src/browser.cpp, src/browser.h, src/clock.cpp,
+ src/clock.h, src/global.h, src/help.cpp, src/help.h, src/media_library.cpp,
+ src/media_library.h, src/ncmpcpp.cpp, src/outputs.cpp, src/outputs.h,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.h, src/search_engine.cpp,
+ src/search_engine.h, src/settings.cpp, src/settings.h, src/tag_editor.cpp,
+ src/tag_editor.h, src/visualizer.cpp, src/visualizer.h: screen_switcher
+ between current and last screen  Setting the new config variable
+ "screen_switcher_browser_only" to "no" will make the "key_screen_switcher"
+ key switch between the current and the last used screen, sort of like the
+ Alt+Tab window switching mechanism in many window managers.  This
+ (intendedly) works only for the "main" screens (playlist, browser, media
+ library, etc.) and not for info/lyrics/server info. Those screens can be
+ closed with the screen_switcher key, but the will not be remembered. 
+ indentation correction in config
+
+  2009-11-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/media_library.cpp, src/misc.cpp, src/playlist.cpp,
+ src/playlist_editor.cpp, src/search_engine.cpp, src/tag_editor.cpp: if there
+ is no selected items, treat the current one as selected
+
+ * src/misc.cpp, src/misc.h, src/playlist.cpp, src/playlist.h: new feature:
+ add selected items to playlist at given position
+
+  2009-11-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/tolower.cpp, src/tolower.h: add missing files: tolower.{cpp,h}
+
+ * src/Makefile.am, src/conv.cpp, src/conv.h, src/info.cpp, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/strbuffer.h: perform case insensitive
+ searching in text fields
+
+ * src/help.cpp, src/ncmpcpp.cpp: make binding responsible for going to parent
+ dir work in tag editor
+
+  2009-11-14 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp, src/settings.h,
+ src/tag_editor.cpp: tag editor: add support for numerating tracks using xx/xx
+ format
+
+  2009-11-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/search_engine.cpp, src/tiny_tag_editor.cpp: clear menu option right
+ before rewriting it, not earlier  when it was cleared earlier, mpd status
+ tracer could refresh window while ncmpcpp was waiting for new string and
+ empty line was visible.
+
+ * src/window.cpp, src/window.h: window: store strings history in list instead
+ of deque
+
+ * src/media_library.cpp, src/ncmpcpp.cpp, src/status.cpp: improve handling
+ columns in media library a bit  given column should clear only the first
+ column on its right, not all.
+
+ * src/browser.cpp, src/info.cpp, src/media_library.cpp, src/menu.h,
+ src/misc.cpp, src/ncmpcpp.cpp, src/outputs.cpp, src/playlist_editor.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/search_engine.cpp,
+ src/server_info.cpp, src/status.cpp, src/tag_editor.cpp, src/visualizer.cpp,
+ src/window.cpp, src/window.h: simplify Clear() in Window and its derivatives 
+ it removes argument responsible for immediate refreshing. since after all
+ calls that were refreshing screen there was call to Refresh() anyway, this
+ switch doesn't make much sense.
+
+  2009-11-11 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/screen.h, src/settings.cpp, src/settings.h:
+ new feature: support for centered cursor (disabled by default)
+
+ * doc/config, doc/ncmpcpp.1, src/menu.h, src/screen.h, src/settings.cpp,
+ src/settings.h: add support for scrolling the list with mouse wheel by given
+ number of lines
+
+  2009-11-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: do not delete items from
+ playlist if sending command delete failed
+
+  2009-10-30 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/status.cpp: improve elapsed time handling 
+ this also throws away hack that was used to count elapsed time locally while
+ polling mpd, it's not needed anymore.
+
+  2009-10-28 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/status.cpp: update screen in TraceMpdStatus(), not in
+ the main loop  this makes screen update even if ncmpcpp is in
+ Window::GetString().
+
+  2009-10-27 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/outputs.cpp,
+ src/status.cpp, src/visualizer.cpp, src/visualizer.h: add event handler for
+ MPD_IDLE_OUTPUT notification
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp, src/settings.h,
+ src/visualizer.cpp, src/visualizer.h: provide a way to sync between
+ visualization and sound  workaround for
+ http://musicpd.org/mantis/view.php?id=2503
+
+  2009-10-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/clock.cpp, src/global.h, src/ncmpcpp.cpp, src/status.cpp: use one
+ global timer instead of several local ones
+
+  2009-10-25 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/visualizer.cpp, src/window.cpp, src/window.h: fix
+ visualizer
+
+ * src/browser.cpp, src/clock.cpp, src/help.cpp, src/info.cpp, src/lyrics.cpp,
+ src/media_library.cpp, src/misc.cpp, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/ncmpcpp.h, src/outputs.cpp, src/playlist.cpp,
+ src/playlist_editor.cpp, src/search_engine.cpp, src/server_info.cpp,
+ src/status.cpp, src/status.h, src/tag_editor.cpp, src/tiny_tag_editor.cpp,
+ src/window.cpp, src/window.h: poll both stdin and mpd using one select() 
+ this allows for immediate reading mpd events
+
+ * src/mpdpp.cpp, src/mpdpp.h: use select() instead of poll() as it's portable
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.h, src/status.cpp: use idle
+ notifications instead of polling mpd all the time
+
+  2009-10-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/keys, src/help.cpp, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: new feature: toggle replay gain mode
+ (requires >=mpd-0.16)
+
+  2009-10-20 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.cpp: new feature:
+ refetch lyrics
+
+  2009-10-11 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/scrollpad.cpp, src/scrollpad.h: scrollpad: do not reset starting
+ position automatically in Clear()  this allows for scrolling mpd server info
+ screen, since the content is changing slightly every second and starting
+ position was reset each time it'd been happening, scrolling was impossible.
+ this also 'fixes' the issue in other screens like lyrics, artist info and
+ help that was reset if main window has been resized, which sometimes could be
+ very annoying.
+
+ * doc/keys, src/Makefile.am, src/help.cpp, src/helpers.cpp, src/helpers.h,
+ src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/playlist.cpp,
+ src/playlist.h, src/server_info.cpp, src/server_info.h, src/settings.cpp,
+ src/settings.h: new screen: mpd server info
+
+  2009-10-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/help.cpp, src/helpers.cpp, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h, src/song.h: new feature: sort songs in
+ browser by mtime (optional)
+
+ * src/browser.cpp, src/help.cpp, src/ncmpcpp.cpp: change keybinding for
+ changing browse mode  I shouldn't do that, but the old one will be much
+ better for choosing whether songs in browser have to be sorted by names or
+ modification date. Besides, binding this to browser key makes browser
+ behaviour more "compatible" with media library.
+
+ * src/browser.cpp, src/conv.cpp, src/conv.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/tag_editor.cpp, src/tiny_tag_editor.cpp: shorten long
+ names in messages displayed in statusbar
+
+ * src/mpdpp.cpp, src/mpdpp.h: pass to MPD::Connection::AddSong() another
+ parameter - position to add
+
+ * src/conv.cpp, src/conv.h, src/helpers.cpp, src/lyrics.cpp, src/song.cpp:
+ move code responsible for replacing content in strings to Replace()
+
+  2009-10-06 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h: throw away isConnected variable and use
+ itsConnection instead
+
+  2009-10-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/display.cpp, src/info.cpp, src/info.h, src/ncmpcpp.cpp,
+ src/playlist.cpp, src/song.cpp, src/song.h, src/tag_editor.cpp,
+ src/tag_editor.h, src/tiny_tag_editor.cpp: add support for multiple tags
+
+ * src/charset.cpp, src/conv.cpp, src/media_library.cpp, src/mpdpp.cpp,
+ src/song.cpp, src/song.h, src/tag_editor.cpp: fix broken compilation due to
+ lack of setters for mpd_song
+
+  2009-10-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+ * src/tag_editor.cpp, src/tag_editor.h, src/tiny_tag_editor.cpp,
+ src/tiny_tag_editor.h: tag editor: performer, composer and disc tags support
+ for ogg and flac files
+
+  2009-10-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/browser.h, src/misc.cpp, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: move local_browser variable from settings
+ to Browser class
+
+  2009-09-30 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/browser.h, src/ncmpcpp.cpp: fix compilation under
+ mingw32
+
+ * src/ncmpcpp.cpp, src/status.cpp, src/status.h: fix a few bugs progressbar
+ related (redrawing, colors)
+
+ * src/ncmpcpp.cpp, src/tag_editor.cpp: bold expected keys while waiting for
+ keypress
+
+  2009-09-27 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/tag_editor.cpp: do not show cursor while waiting for
+ only one keypress
+
+ * src/ncmpcpp.cpp, src/tag_editor.cpp: refresh status window immediately
+ after prompting user  this fixes #2537.
+
+  2009-09-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1: warn about consequences from using song format
+ without any braces
+
+ * src/display.cpp, src/helpers.h, src/song.cpp, src/song.h: ignore special
+ chars that occurs in tag values  ncmpcpp shouldn't treat '$' characters that
+ are part of a tag as special format chars.
+
+  2009-09-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: add
+ MPD::Connection::Toggle() and throw away MPD::Connection::Execute()
+
+ * src/song.cpp, src/status.cpp: make sure null pointer won't be dereferenced 
+ Song::Empty() does the check.
+
+ * src/ncmpcpp.cpp, src/status.cpp: WIN32 compilation fix
+
+ * src/Makefile.am, src/charset.cpp, src/charset.h, src/ncmpcpp.cpp,
+ src/playlist.cpp, src/song.cpp, src/song.h, src/str_pool.c, src/str_pool.h:
+ fix compilation --with-iconv
+
+  2009-09-22 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/song.cpp, src/song.h, src/tag_editor.cpp,
+ src/tag_editor.h: fix compilation --with-taglib
+
+ * configure.in, src/Makefile.am, src/browser.cpp, src/conv.cpp, src/conv.h,
+ src/libmpdclient.c, src/libmpdclient.h, src/media_library.cpp, src/mpdpp.cpp,
+ src/mpdpp.h, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h, src/song.cpp,
+ src/song.h, src/status.cpp, src/tag_editor.cpp: make ncmpcpp use external
+ libmpdclient (--without-taglib and --without-iconv)
+
+ * src/search_engine.cpp, src/search_engine.h: make use of
+ CaseInsensitiveStringComparison() instead of copying strings
+
+ * src/search_engine.cpp, src/search_engine.h: search engine: throw away
+ SearchedPattern class and generalize the code
+
+  2009-09-21 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/error.cpp, src/error.h, src/helpers.cpp, src/menu.h,
+ src/ncmpcpp.cpp, src/search_engine.cpp, src/settings.cpp, src/song.cpp,
+ src/tag_editor.cpp, src/window.cpp, src/window.h: make ncmpcpp compile with
+ -fno-exceptions
+
+ * src/window.cpp, src/window.h: window: move some members from protected to
+ private section
+
+ * src/menu.h, src/window.h: set attributes in Menu::Refresh() by
+ operators<<()  this also makes Window::{Bold,UnderLine,Reverse,Altcharset}
+ private. these should only be called by internals of Window class.
+
+ * doc/config, doc/ncmpcpp.1, src/display.cpp, src/settings.cpp,
+ src/settings.h: new feature: support for custom prefix/suffix of now playing
+ song
+
+  2009-09-20 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/display.cpp, src/ncmpcpp.cpp, src/playlist.h, src/status.cpp: move code
+ responsible for marking song as now playing to display functions
+
+ * src/ncmpcpp.cpp, src/window.h: define NCURSES_MOUSE_VERSION if pdcurses is
+ used
+
+  2009-09-19 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, doc/config, src/settings.cpp: detect system charset encoding
+ automatically
+
+ * src/scrollpad.h, src/strbuffer.h: document NCurses::basic_buffer class
+
+ * doc/config, src/helpers.h, src/window.cpp, src/window.h: new feature:
+ support for underlined text
+
+ * src/browser.cpp, src/helpers.cpp, src/media_library.cpp, src/menu.h,
+ src/ncmpcpp.cpp, src/outputs.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/status.cpp: rename Menu::BoldOption() to
+ Menu::Bold()
+
+ * src/browser.cpp, src/media_library.cpp, src/menu.cpp, src/menu.h,
+ src/ncmpcpp.cpp, src/playlist.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/tag_editor.cpp: clean NCurse::List class a bit and
+ remove a few redundant functions
+
+  2009-09-18 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/status.cpp,
+ src/visualizer.cpp: change all Mpd.GetState </> psPlay/psStop to
+ (!)Mpd.isPlaying()
+
+ * src/info.cpp, src/lyrics.cpp: refresh window after lyrics/artist info was
+ (not) downloaded
+
+  2009-09-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/scrollpad.cpp, src/scrollpad.h, src/window.cpp, src/window.h: change
+ prototype of Window::Recreate() and throw away almost-duplicated code
+
+ * src/clock.cpp, src/menu.h, src/ncmpcpp.cpp, src/playlist.cpp,
+ src/status.cpp: refresh main screen only if necessary
+
+  2009-09-16 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/info.cpp, src/ncmpcpp.cpp, src/scrollpad.h: remove wrapper for
+ Scrollpad::SetFormating() used with --enable-unicode
+
+ * src/scrollpad.cpp, src/scrollpad.h: remove
+ NCurses::Scrollpad::operator<<(std::ostream &(*os)(std::ostream&))  it wasn't
+ used, also if it was, probably it wouldn't work in this case, so bye bye.
+
+ * src/scrollpad.cpp, src/scrollpad.h: document NCurses::Scrollpad class
+
+ * src/menu.h, src/scrollpad.cpp, src/scrollpad.h, src/window.cpp,
+ src/window.h: remove Clone() and EmptyClone() methods from NCurses::Window
+ and derives  these functions served no purpose.
+
+ * src/window.cpp, src/window.h: document class NCurses::Window and remove
+ some unused code from it
+
+  2009-09-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/conv.cpp, src/conv.h, src/info.cpp, src/lyrics.cpp: get rid of all
+ mysterious numbers that meant length of string literals
+
+ * src/browser.cpp, src/helpers.cpp, src/helpers.h, src/lyrics.cpp,
+ src/playlist.cpp: remove wrapper for Scroller() needed with --enable-unicode
+
+ * src/helpers.cpp, src/helpers.h, src/playlist.cpp: do not copy strings while
+ doing case insensitive comparison
+
+ * src/display.cpp, src/helpers.cpp, src/helpers.h, src/info.cpp, src/info.h,
+ src/search_engine.cpp, src/tiny_tag_editor.cpp: pass Buffer/Window to
+ ShowTag() by reference  returning new Buffer and passing it to Window by
+ operator<<() was rather bad idea since it required unnecessary copying.
+
+  2009-09-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2009-09-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/display.cpp, src/settings.cpp: if tag type for column is invalid,
+ display empty column instead of crashing
+
+ * src/mpdpp.h, src/ncmpcpp.cpp, src/status.cpp: get total time from mpd
+ status, not from currently playing track  it seems that even if track info
+ doesn't provide total track length, mpd status does, which allows for seeking
+ and displaying progressbar.
+
+ * src/tag_editor.cpp, src/tag_editor.h: change TagEditor::Patterns from
+ std::deque to std::list
+
+  2009-09-08 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/menu.h, src/status.cpp: make NCurses::Menu::Clear() clear used filter
+
+  2009-09-06 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/status.cpp: fix two minor bugs with colors  1. I used
+ statusbar_color instead of header_color by accident 2. state_line_color has
+ to be explicitely turned off before setting new color
+
+ * src/ncmpcpp.cpp, src/status.cpp, src/window.h: make Window::SetColor
+ protected as it doesn't respect stacked colors  it should only be used
+ internally by Window and derives.
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h: make color of separators used in alternative user interface
+ customizable
+
+ * src/window.cpp, src/window.h: move override wcwidth with 1 if WIN32 if
+ defined to window.h
+
+ * doc/config, doc/ncmpcpp.1, src/display.cpp, src/song.cpp, src/song.h: add N
+ marker for displaying full track info and make n show only a number 
+ generated filename was ugly if track tag was in format xx/xx, so %n should
+ display only current track number.
+
+  2009-09-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/tag_editor.cpp, src/tag_editor.h: make tag editor proof against tiny
+ screen size
+
+ * src/help.cpp, src/info.cpp: display "artist info" instead of "artist's
+ info"
+
+ * src/menu.h, src/misc.cpp: make adding to main playlist inactive if selected
+ items are from there
+
+  2009-09-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, doc/config, doc/ncmpcpp.1, src/help.cpp, src/settings.cpp,
+ src/visualizer.cpp, src/visualizer.h: make sound wave the default
+ visualization and fftw optional dependency
+
+  2009-09-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/help.cpp, src/settings.cpp, src/settings.h,
+ src/visualizer.cpp, src/visualizer.h: new visualization type: sound wave
+
+ * src/tag_editor.cpp, src/tag_editor.h: tag editor: make file
+ parser/generator use main loop
+
+  2009-08-30 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/info.cpp, src/lyrics.cpp, src/mpdpp.cpp, src/ncmpcpp.cpp,
+ src/status.cpp: throw away all NULLs and replace them by 0s
+
+ * src/global.h, src/ncmpcpp.cpp, src/status.cpp: block displaying elapsed
+ time while seeking properly (alternative ui)
+
+ * src/Makefile.am, src/ncmpcpp.cpp, src/tag_editor.cpp, src/tag_editor.h,
+ src/tiny_tag_editor.cpp, src/tiny_tag_editor.h: move TinyTagEditor class to
+ separate file / a bit of code cleaning
+
+ * src/browser.cpp, src/clock.cpp, src/helpers.cpp, src/media_library.cpp,
+ src/ncmpcpp.cpp, src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/status.cpp, src/tag_editor.cpp: make sorting
+ window use main ncmpcpp loop
+
+ * src/misc.cpp, src/misc.h: make SelectedItemsAdder::{Width,Height} vars
+ follow the rest of private members
+
+  2009-08-29 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/misc.cpp, src/misc.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp: move code responsible for adding selected items to playlists
+ to misc.cpp
+
+ * src/Makefile.am, src/conv.cpp, src/conv.h, src/helpers.h, src/misc.cpp,
+ src/misc.h, src/song.cpp: rename misc.{cpp,h} to conv.{cpp,h}
+
+ * src/ncmpcpp.cpp, src/status.cpp: do not display '>' char if progressbar's
+ width is equal to screen's width
+
+ * src/ncmpcpp.cpp, src/visualizer.cpp, src/visualizer.h: make visualizer work
+ after mpd restart
+
+  2009-08-28 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, doc/config, doc/keys, doc/ncmpcpp.1, src/Makefile.am,
+ src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h,
+ src/visualizer.cpp, src/visualizer.h: new screen: music visualizer
+
+  2009-08-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/settings.cpp, src/settings.h, src/status.cpp,
+ src/window.cpp: allow for unicode characters in progressbar_look
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp: rename empty_tag config option
+ to empty_tag_marker  it was conflicting with empty_tag_color. since
+ empty_tag_color contains empty_tag, ncmpcpp was parsing wrong variable if the
+ first variable was before the second one in configuration file.
+
+ * src/ncmpcpp.cpp, src/status.cpp: do not restrict statusbar_visibility
+ option if alternative ui is active
+
+ * src/helpers.cpp, src/strbuffer.h: fix scrolling text which contains both
+ normal and wide characters
+
+ * src/browser.cpp, src/helpers.cpp, src/helpers.h, src/lyrics.cpp,
+ src/playlist.cpp: rearrange sequence of arguments to Scroller()
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h, src/status.cpp: make progressbar look customizable
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h, src/status.cpp: new feature: display remaining time of song
+ instead of elapsed time
+
+ * src/song.cpp, src/tag_editor.cpp: write ID3v2 frames to mp3 files / do not
+ limit track and date fields
+
+  2009-08-25 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: simplify code responsible for
+ adding items with 'a' more
+
+  2009-08-24 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h: new config option: jump_to_now_playing_song_at_start (enabled
+ by default)
+
+ * doc/config, src/display.cpp, src/settings.cpp, src/settings.h: new
+ attribute for a columns view: do not display empty tag marker
+
+ * src/playlist.cpp, src/settings.cpp, src/settings.h: add
+ song_status_format_no_colors to display it in a message
+
+ * doc/config, src/settings.cpp: change default song_status_format to better
+ one
+
+ * src/tag_editor.cpp, src/tag_editor.h: tag editor: put current pattern in
+ extra braces (requred by cbbabee0)
+
+ * doc/config, doc/ncmpcpp.1, src/mpdpp.h, src/settings.cpp, src/settings.h,
+ src/status.cpp: new feature: display bitrate in statusbar (optional, disabled
+ by default)
+
+ * doc/config, doc/ncmpcpp.1, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h: ask if one really wants to clear main playlist (disabled by
+ default)
+
+  2009-08-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/settings.cpp, src/song.cpp, src/song.h: new feature:
+ command line switch for displaying now playing song
+
+ * doc/config, src/status.cpp: do not support song format for command that is
+ executed on song change
+
+  2009-08-14 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/display.cpp, src/helpers.h,
+ src/settings.cpp, src/song.cpp, src/song.h: simplify code responsible for
+ parsing song formats  functions MPD::Song::toString() and Display::Songs were
+ almost identical. for now the latter uses MPD::Song::toString()
+ implementation, which also has been simplified.
+
+ * doc/config, doc/ncmpcpp.1, src/display.cpp, src/settings.cpp, src/song.cpp:
+ throw away full path from song format in favor of directory
+
+ * src/display.cpp, src/song.cpp, src/song.h: song format: support for nested
+ braces
+
+  2009-08-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/status.cpp: allow for colors in song_status_format
+
+ * src/ncmpcpp.cpp, src/playlist.cpp, src/tag_editor.cpp: fix possible issues
+ with additinal windows due to too small screen size
+
+  2009-08-12 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/display.cpp, src/settings.cpp, src/settings.h: new feature:
+ right aligned columns
+
+ * doc/config, doc/ncmpcpp.1, src/browser.cpp, src/browser.h, src/clock.cpp,
+ src/clock.h, src/help.cpp, src/help.h, src/helpers.cpp, src/helpers.h,
+ src/info.cpp, src/info.h, src/lyrics.cpp, src/lyrics.h,
+ src/media_library.cpp, src/media_library.h, src/ncmpcpp.cpp, src/outputs.cpp,
+ src/outputs.h, src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.h, src/search_engine.cpp,
+ src/search_engine.h, src/settings.cpp, src/settings.h, src/status.cpp,
+ src/strbuffer.h, src/tag_editor.cpp, src/tag_editor.h, src/window.h: new
+ feature: alternative user interface
+
+  2009-08-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/screen.h, src/settings.cpp, src/settings.h:
+ make number of lines scrolled with mouse wheel configurable
+
+ * src/browser.cpp, src/media_library.cpp, src/playlist.cpp, src/playlist.h,
+ src/playlist_editor.cpp, src/search_engine.cpp: use common interface for
+ adding item(s) to playlist  this also removes a few code duplications.
+
+  2009-08-08 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/help.cpp, src/media_library.cpp, src/playlist.cpp,
+ src/playlist_editor.cpp, src/search_engine.cpp, src/tag_editor.cpp: adjust
+ mouse bindings a bit and document them in help screen
+
+  2009-08-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/lyrics.cpp, src/lyrics.h, src/settings.cpp:
+ remove lyricswiki support as it doesn't allow fetching lyrics anymore
+
+  2009-07-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/clock.cpp, src/window.h: make Window::{Bold,Reverse,AltCharset}
+ protected  they should be called only within member funcions, because they
+ ignore stacked values, that are set by Window::operator<<(Format)
+
+  2009-07-12 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/status.cpp, src/window.cpp, src/window.h: fix setting
+ format flags in Window::operator<<(Format)  I though static variables are
+ created for each class object, but apparently they aren't, which makes the
+ previous design utterly broken. I'm suprised it somehow worked before.
+
+  2009-07-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/browser.cpp, src/display.cpp, src/display.h,
+ src/ncmpcpp.cpp, src/playlist.cpp, src/search_engine.cpp, src/settings.cpp,
+ src/settings.h: new feature: allow for fixed size columns
+
+ * src/charset.cpp, src/charset.h, src/libmpdclient.h, src/song.cpp,
+ src/str_pool.c, src/str_pool.h: make str_pool return const char * instead of
+ char *
+
+ * doc/config, doc/ncmpcpp.1, src/settings.cpp: allow for empty tag marker
+ customization
+
+  2009-07-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/display.cpp, src/info.cpp, src/media_library.cpp, src/misc.cpp,
+ src/playlist.cpp, src/search_engine.cpp, src/song.cpp, src/song.h,
+ src/tag_editor.cpp: rename MPD::Song::{Get,Set}Year to {Get,Set}Date
+
+ * src/song.cpp, src/song.h: remove unused operators from MPD::Song class
+
+ * src/browser.cpp, src/info.cpp, src/media_library.cpp, src/mpdpp.cpp,
+ src/playlist_editor.cpp, src/search_engine.cpp, src/song.cpp, src/song.h,
+ src/str_pool.c, src/str_pool.h, src/tag_editor.cpp: some MPD::Song
+ improvements and syntax simplifications
+
+ * src/browser.cpp, src/display.cpp, src/helpers.cpp, src/info.cpp,
+ src/lyrics.cpp, src/media_library.cpp, src/mpdpp.cpp, src/ncmpcpp.cpp,
+ src/playlist.cpp, src/playlist_editor.cpp, src/scrollpad.cpp,
+ src/search_engine.cpp, src/settings.cpp, src/song.cpp, src/status.cpp,
+ src/window.cpp: remove using declarations
+
+  2009-07-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/ncmpcpp.cpp: add shortcut keybinding for saving in tiny
+ tag editor
+
+ * src/browser.cpp, src/charset.cpp, src/clock.cpp, src/display.cpp,
+ src/help.cpp, src/helpers.cpp, src/info.cpp, src/lyrics.cpp,
+ src/media_library.cpp, src/menu.cpp, src/menu.h, src/misc.cpp, src/mpdpp.cpp,
+ src/ncmpcpp.cpp, src/outputs.cpp, src/playlist.cpp, src/playlist_editor.cpp,
+ src/screen.h, src/scrollpad.cpp, src/search_engine.cpp, src/settings.cpp,
+ src/song.cpp, src/status.cpp, src/strbuffer.h, src/tag_editor.cpp,
+ src/window.cpp: use prefix ++ instead of postfix where available
+
+ * src/browser.cpp, src/global.h, src/help.cpp, src/helpers.cpp,
+ src/media_library.cpp, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/outputs.cpp, src/playlist.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/status.cpp, src/tag_editor.cpp: define
+ MPD::Connection handler as an object, not pointer
+
+  2009-07-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/window.cpp, src/window.h: cosider different size of
+ size_t type on 32bits and 64bits arches
+
+  2009-06-29 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/status.cpp: fix database update
+
+  2009-06-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, src/browser.cpp, src/browser.h, src/clock.cpp, src/clock.h,
+ src/help.cpp, src/help.h, src/info.cpp, src/info.h, src/lyrics.cpp,
+ src/lyrics.h, src/media_library.cpp, src/media_library.h, src/mpdpp.cpp,
+ src/ncmpcpp.cpp, src/outputs.cpp, src/outputs.h, src/playlist.cpp,
+ src/playlist.h, src/playlist_editor.cpp, src/playlist_editor.h, src/screen.h,
+ src/search_engine.cpp, src/search_engine.h, src/tag_editor.cpp,
+ src/tag_editor.h: initialize screens only if necessary
+
+  2009-06-24 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2009-06-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/browser.h: new feature: add local directories
+ recursively
+
+  2009-06-06 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/ncmpcpp.cpp: be more verbose while deleting items in
+ browser
+
+  2009-06-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/keys, src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h:
+ add keybinding to toggle mouse support on the fly
+
+  2009-06-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/info.cpp, src/info.h: return values
+ instead of playing around with static variables and references
+
+ * doc/config, doc/ncmpcpp.1, src/helpers.cpp, src/settings.cpp,
+ src/settings.h: add config option to disable text scrolling in header window
+
+  2009-05-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/media_library.cpp, src/menu.h, src/outputs.cpp,
+ src/playlist_editor.cpp, src/search_engine.cpp: throw away
+ Menu::GetPosition() as Menu::Choice() does the same  oh cool, I forgot that
+ such function already exists under different name ~~
+
+ * configure.in, doc/keys, src/Makefile.am, src/help.cpp, src/mpdpp.cpp,
+ src/mpdpp.h, src/ncmpcpp.cpp, src/outputs.cpp, src/outputs.h,
+ src/settings.cpp, src/settings.h: new feature: outputs screen
+
+  2009-05-25 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/browser.cpp, src/browser.h, src/clock.h,
+ src/media_library.cpp, src/media_library.h, src/menu.h, src/ncmpcpp.cpp,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.h, src/search_engine.cpp,
+ src/search_engine.h, src/settings.cpp, src/settings.h, src/tag_editor.cpp,
+ src/tag_editor.h, src/window.cpp, src/window.h: new feature: mouse support
+
+  2009-05-24 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/misc.cpp, src/misc.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp: new feature: add random songs to playlist
+
+  2009-05-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/browser.cpp, src/browser.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: new feature: allow for files and
+ directories deletion in browser
+
+  2009-05-21 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/charset.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/search_engine.cpp, src/settings.cpp, src/status.cpp, src/window.cpp: get
+ rid of C style casts
+
+ * doc/config, src/settings.cpp, src/settings.h, src/status.cpp: new feature:
+ custom command execution on song change
+
+ * doc/ncmpcpp.1, src/helpers.cpp: allow quotation marks inside config options
+
+ * configure.in, src/ncmpcpp.cpp, src/status.cpp, src/status.h: clear window
+ title at exit
+
+  2009-05-19 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2009-05-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/info.cpp, src/scrollpad.cpp, src/scrollpad.h: fix bug with removing
+ format from artist's info screen
+
+  2009-05-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/window.cpp, src/window.h: new feature: input text
+ history
+
+  2009-05-07 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/browser.cpp, src/settings.cpp,
+ src/settings.h: make displaying hidden files in local browser optional
+
+  2009-05-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/media_library.cpp, src/tag_editor.cpp: correct notifications about
+ fetching albums
+
+ * src/help.cpp, src/media_library.cpp, src/media_library.h, src/ncmpcpp.cpp,
+ src/status.cpp: new feature: two columns view in media library (albums and
+ songs)
+
+ * src/ncmpcpp.cpp, src/status.h, src/window.cpp, src/window.h: make use of
+ gcc's __attribute__ extension
+
+ * src/info.cpp, src/info.h, src/lyrics.cpp: fix compilation if there were no
+ curl dev files installed
+
+  2009-04-28 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/global.h, src/ncmpcpp.cpp, src/status.cpp: redraw statusbar after
+ terminal resize  previous changes broke this, so here is the fix.
+
+  2009-04-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/playlist.cpp, src/playlist.h: handle height of sorting window properly 
+ before, if terminal was less than 18 lines high, ncmpcpp would exit at start
+ throwing NCurses::Window::BadSize, because sort dialog's height was
+ hardcoded. now its size changes dynamically, depending on actual screen size.
+
+ * src/ncmpcpp.cpp, src/window.cpp: count number of applied formatting flags
+
+  2009-04-19 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/scrollpad.cpp, src/scrollpad.h, src/status.cpp,
+ src/strbuffer.h: improve formatting removal
+
+  2009-04-18 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/scrollpad.cpp, src/scrollpad.h, src/strbuffer.h: new
+ feature: allow searching in help, lyrics and info screens
+
+  2009-04-14 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/media_library.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp: real fix for bug 2252
+
+  2009-04-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/search_engine.cpp, src/song.cpp: do not limit year tag to 4 digits
+
+  2009-04-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, src/status.cpp: fetch now playing song and set window title
+ if it's empty
+
+  2009-04-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/window.cpp, src/window.h: pass small structs and POD types to
+ Window::operator<<() by value
+
+ * src/info.cpp, src/ncmpcpp.cpp, src/screen.h: rename Screen::Cmp() to
+ Screen::ActiveWindow() as it's more logical
+
+ * src/ncmpcpp.cpp, src/tag_editor.cpp: use "" instead of '' in messages
+
+  2009-04-02 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+ * src/Makefile.am, src/home.h, src/ncmpcpp.h, src/settings.h: get proper path
+ to "My Documents" folder in WIN32
+
+  2009-04-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/global.h, src/ncmpcpp.cpp, src/playlist.cpp, src/status.cpp: use flag
+ to force status update rather than doing additional update
+
+ * doc/keys, src/help.cpp, src/libmpdclient.c, src/libmpdclient.h,
+ src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h, src/status.cpp: add support for consume mode  info about this
+ feature can be found in mpd docs.
+
+  2009-03-30 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/ncmpcpp.1, src/browser.cpp, src/media_library.cpp,
+ src/menu.h, src/ncmpcpp.cpp, src/playlist.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/settings.cpp, src/settings.h, src/tag_editor.cpp:
+ new feature: cyclic scrolling
+
+  2009-03-27 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/keys, doc/ncmpcpp.1, src/help.cpp, src/libmpdclient.c,
+ src/libmpdclient.h, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h, src/status.cpp: handle single command and
+ remove hacks used as substitute for it  mpd-git has single command, which
+ provides functionality of both "repeat one" and "stop after current track"
+ modes.  repeat one = single && repeat stop after current track = single &&
+ !repeat
+
+ * src/lyrics.cpp, src/lyrics.h: make Lyrics::FilenamePath non-static member
+
+ * src/info.cpp, src/info.h: do not start additional thread if artist's info
+ is available locally
+
+ * src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.h: do not start additional thread
+ if lyrics are available locally
+
+  2009-03-26 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/ncmpcpp.1, src/helpers.cpp: allow for setting host and port with
+ command line switches
+
+ * src/browser.cpp, src/info.cpp, src/lyrics.cpp, src/ncmpcpp.h,
+ src/settings.cpp, src/settings.h: get proper user home dir on WIN32 and
+ adjust folders in this case a bit
+
+ * configure.in, src/charset.cpp: handle iconv() function that takes const
+ char ** instead of char **
+
+ * Makefile.am, configure.in, data/Makefile.am, data/encodings, doc/config,
+ doc/ncmpcpp.1, src/charset.cpp, src/charset.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: disable detecting currently used encoding
+ as it's extremely ugly
+
+ * src/info.cpp, src/info.h, src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.h: use
+ pthread_t * handlers rather than pthread_t  pthread-win32 doesn't accept
+ assigning zero to pthread_t type, so we need to use pointers instead. this is
+ more semantic anyway.
+
+ * src/settings.cpp, src/window.cpp, src/window.h: improve handling backspace
+ key
+
+ * configure.in, src/window.cpp, src/window.h: check for Xinitscr in pdcurses
+ and define XCURSES if available
+
+ * src/scrollpad.cpp, src/scrollpad.h, src/window.cpp, src/window.h: improve
+ conversions std::string <=> std::wstring
+
+  2009-03-25 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, src/global.h, src/info.cpp, src/info.h, src/lyrics.cpp,
+ src/lyrics.h, src/ncmpcpp.h: make it compile under mingw32 --with-curl
+
+ * configure.in, src/info.cpp, src/lyrics.cpp, src/ncmpcpp.cpp,
+ src/settings.cpp, src/window.cpp, src/window.h: make it compile under mingw32
+ --without-curl --without-taglib  ncmpcpp can be built for windows \o/
+ pdcurses and regex libraries are needed for this though.
+
+ * configure.in, src/ncmpcpp.cpp, src/status.cpp, src/window.cpp,
+ src/window.h: add support for pdcurses
+
+  2009-03-24 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/menu.h, src/status.cpp: fix reapplying filter the same as the last one
+ used  I was passing Menu::itsFilter by const reference to
+ Menu::ApplyFilter(). however, the function was clearing all filtering related
+ stuff, including itsFilter itself, so passed reference was pointing at
+ previously cleared string. then the function checked if new filter was empty
+ and it obviously was, so exited then. funny bug.
+
+ * src/menu.h, src/status.cpp: reapply filter even if it's the same as the
+ last one applied
+
+ * src/ncmpcpp.cpp, src/status.cpp: fix blocking playlist update
+
+  2009-03-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: do not fetch status after
+ succesful setvol command, set it locally
+
+  2009-03-22 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/ncmpcpp.cpp: invoke callback immediately after sending
+ update command succesfully
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: do not fetch mpd_Stats from
+ mpd as it's unneded
+
+ * src/ncmpcpp.h, src/status.cpp: poll mpd once per second, no need to do it
+ more often
+
+ * src/ncmpcpp.cpp, src/playlist.cpp, src/status.cpp: always poll mpd twice
+ per second
+
+  2009-03-20 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * Makefile.am, configure.in, data/Makefile.am, data/encodings,
+ src/charset.cpp, src/charset.h, src/song.cpp: provide file with locales and
+ corresponding encodings
+
+ * src/help.cpp, src/ncmpcpp.cpp: change default behaviour of 'go to given
+ position' function  before that number without any other signs was treated as
+ time in seconds to go, now it's threated as %. treating a number as seconds
+ needs you to type 's' after numeric value.
+
+  2009-03-18 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, src/browser.cpp: show columns' titles if browser displays
+ them at start
+
+  2009-03-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+ * doc/config, doc/ncmpcpp.1: update man and example config
+
+ * src/help.cpp, src/libmpdclient.c, src/libmpdclient.h, src/mpdpp.cpp,
+ src/ncmpcpp.cpp: make function 'clear' in playlist editor clear selected
+ playlist
+
+  2009-03-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/status.cpp: fix now playing update if playlist is
+ filtered
+
+  2009-03-14 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h: fix prototype of write_data() function used
+ by curl  maybe this works, but I don't want it to suddenly stop working some
+ day just because curl guys made their library more strict.
+
+  2009-03-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/playlist.cpp: new feature: reverse playlist
+
+ * src/menu.h, src/strbuffer.h: fix Menu copy constructor  it has to make deep
+ copy of itsOptions.
+
+ * src/menu.h, src/search_engine.cpp, src/status.cpp, src/tag_editor.cpp:
+ never get full playlist from mpd, always request for changes
+
+  2009-03-12 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/global.h, src/ncmpcpp.cpp, src/playlist.cpp, src/playlist.h,
+ src/status.cpp: move Global::Timer to Playlist class
+
+ * src/helpers.cpp, src/helpers.h: make Keypressed() funcion inline
+
+ * src/libmpdclient.c, src/libmpdclient.h, src/mpdpp.cpp: change char * to
+ const char * in libmpdclient where appropriate to avoid casts
+
+ * src/browser.cpp, src/libmpdclient.c, src/libmpdclient.h,
+ src/media_library.cpp, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/playlist.cpp, src/playlist_editor.cpp, src/search_engine.cpp,
+ src/tag_editor.cpp: do not store commands list in MPD::Connection  it should
+ have sent commandlist begin and end commands from the beginning, having
+ separated functions just to handle queueing commands was plainly ugly.
+
+  2009-03-11 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/ncmpcpp.cpp: move selected items to actual cursor
+ position, not to given one  this is much better as no position couting is
+ needed.
+
+ * doc/keys, src/help.cpp, src/menu.h, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h: new feature: move item(s) in playlist to given position
+
+  2009-03-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/display.h, src/helpers.h, src/menu.h, src/screen.h, src/scrollpad.h,
+ src/strbuffer.h: use typename keyword instead of class as it's more logical
+
+ * src/screen.h, src/window.cpp, src/window.h: return value, not const
+ reference, if return type is POD or ptr  returning reference to POD types can
+ be in fact slower than returning value.
+
+ * doc/Makefile.am, doc/ncmpcpp.1: add man page
+
+ * src/helpers.h, src/menu.h: do not include misc.h in menu.h as it's
+ redundant there
+
+  2009-03-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/search_engine.cpp, src/search_engine.h: make
+ SearchEngine::CaseSensitive regex flag
+
+  2009-03-08 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/browser.cpp, src/browser.h, src/media_library.cpp,
+ src/media_library.h, src/menu.h, src/ncmpcpp.cpp, src/playlist.cpp,
+ src/playlist.h, src/playlist_editor.cpp, src/playlist_editor.h,
+ src/search_engine.cpp, src/search_engine.h, src/settings.cpp, src/settings.h,
+ src/song.cpp, src/tag_editor.cpp: add support for regular expressions (basic
+ and extended)  it intruduces regex support in search engine and
+ filtering/searching in all screens
+
+ * src/menu.h, src/ncmpcpp.cpp: improve searching a bit / fix going to
+ previous found position
+
+ * src/browser.cpp, src/clock.cpp, src/global.h, src/help.cpp, src/info.cpp,
+ src/lyrics.cpp, src/media_library.cpp, src/ncmpcpp.cpp, src/playlist.cpp,
+ src/playlist_editor.cpp, src/search_engine.cpp, src/status.cpp, src/status.h,
+ src/tag_editor.cpp: use CamelCase for variables in Global namespace / some
+ cleaning
+
+  2009-03-07 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/clock.cpp, src/global.h, src/media_library.cpp,
+ src/menu.h, src/ncmpcpp.cpp, src/ncmpcpp.h, src/playlist.cpp,
+ src/playlist_editor.cpp, src/search_engine.cpp, src/tag_editor.cpp: move
+ searching to Menu class, also remember last constraint  this improvement also
+ make that list of found items is not cleared if one switches to another
+ screen. it's remebered until the content of screen changes (e.g. item is
+ deleted from playlist)
+
+ * src/browser.cpp, src/ncmpcpp.cpp, src/tag_editor.cpp, src/tag_editor.h:
+ some fixes for non-unicode locales
+
+ * doc/config, src/media_library.cpp, src/media_library.h, src/menu.h,
+ src/mpdpp.cpp, src/mpdpp.h, src/settings.cpp, src/settings.h: speed up
+ browsing media library  the way media library was searching for albums was
+ wrong and by the way totally inefficient.
+
+  2009-03-06 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/playlist.cpp: consider "ignore leading
+ 'the' word" function while sorting playlist
+
+  2009-03-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/media_library.cpp, src/media_library.h, src/tag_editor.cpp: fix
+ duplicating albums in media library
+
+ * src/song.cpp, src/song.h: rename Song::__Count_Last_Slash_Position()
+
+ * src/menu.cpp, src/menu.h, src/misc.cpp, src/misc.h, src/ncmpcpp.h,
+ src/scrollpad.cpp, src/scrollpad.h, src/strbuffer.h, src/window.cpp,
+ src/window.h: put classes related to ncurses into NCurses namespace
+
+  2009-03-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/misc.cpp, src/misc.h, src/song.cpp,
+ src/song.h, src/tag_editor.cpp, src/tag_editor.h: move some functions to
+ TagEditor class / outside
+
+ * src/libmpdclient.c, src/tag_editor.cpp, src/tag_editor.h: support for
+ multiple composer, performer and disc tags
+
+ * doc/config, src/lyrics.cpp, src/settings.cpp, src/settings.h: add support
+ for external console editor
+
+  2009-03-03 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/ncmpcpp.cpp, src/search_engine.cpp, src/settings.cpp,
+ src/settings.h: make blocking search constraints change after successful
+ searching optional  it's still enabled by default though.
+
+ * src/clock.h, src/help.h, src/info.h, src/lyrics.h, src/screen.h,
+ src/tag_editor.h: make BasicScreen::{Enter,Space}Pressed() pure virtual
+
+ * src/browser.h, src/clock.h, src/help.h, src/info.h, src/lyrics.h,
+ src/media_library.h, src/playlist.h, src/playlist_editor.h,
+ src/search_engine.h, src/tag_editor.h: use private where appropriate
+
+  2009-03-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h,
+ src/status.cpp: new function: stop playing after current song
+
+ * src/browser.cpp, src/browser.h: move functions from unnamed namespace to
+ Browser class
+
+  2009-02-27 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/browser.h, src/help.cpp, src/ncmpcpp.cpp: new feature:
+ go to currently playing song in browser
+
+  2009-02-24 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, src/helpers.cpp, src/helpers.h, src/media_library.cpp,
+ src/media_library.h, src/ncmpcpp.cpp, src/tag_editor.cpp: while searching for
+ songs in media library, consider year of the album
+
+  2009-02-23 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2009-02-22 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/playlist.cpp, src/playlist.h: keep proper songs'
+ positions when playlist is modified
+
+  2009-02-20 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/helpers.cpp, src/lyrics.cpp: fix compilation
+ --without-curl
+
+ * doc/config, src/ncmpcpp.cpp, src/playlist.cpp, src/playlist.h,
+ src/settings.cpp, src/settings.h, src/status.cpp: make playlist's stats
+ scrollable, also display remaining time on demand
+
+  2009-02-19 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/clock.cpp, src/clock.h, src/ncmpcpp.h, src/strbuffer.h, src/window.cpp,
+ src/window.h: unused defines cleaning / a few fixes for clock
+
+ * src/lyrics.cpp, src/ncmpcpp.cpp, src/playlist.cpp, src/playlist.h,
+ src/status.cpp: make Playlist::NowPlayingSong() return pointer, not reference
+
+  2009-02-18 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/media_library.cpp, src/menu.h, src/playlist_editor.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/tag_editor.cpp, src/window.cpp,
+ src/window.h: use ncurses pad instead of ncurses window by default
+
+ * src/ncmpcpp.cpp, src/status.cpp: change var = time(NULL) to time(&var)
+
+ * doc/keys, src/display.cpp, src/display.h, src/help.cpp,
+ src/media_library.cpp, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/playlist.cpp, src/playlist.h, src/settings.cpp, src/settings.h,
+ src/song.cpp, src/song.h, src/status.cpp, src/tag_editor.cpp,
+ src/tag_editor.h: new feature: playlist sorting (Ctrl-V by default)
+
+  2009-02-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: support for opening lyrics in external
+ editor
+
+ * doc/keys, src/browser.cpp, src/browser.h, src/help.cpp, src/helpers.h,
+ src/media_library.cpp, src/media_library.h, src/menu.cpp, src/menu.h,
+ src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/playlist.cpp,
+ src/playlist.h, src/playlist_editor.cpp, src/playlist_editor.h, src/screen.h,
+ src/search_engine.cpp, src/search_engine.h, src/settings.cpp, src/settings.h,
+ src/status.cpp, src/status.h, src/tag_editor.cpp, src/tag_editor.h,
+ src/window.cpp, src/window.h: new feature: apply filter to screen (Ctrl-F) 
+ if one applies a filter, only items that contain this filter will be
+ displayed. works on all screens.
+
+ * src/menu.h, src/tag_editor.cpp: use vector of pointers to options rather
+ than vector of options  this way I can implement options filtering with much
+ less effort.
+
+ * src/browser.cpp, src/helpers.cpp, src/helpers.h, src/media_library.cpp,
+ src/media_library.h, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/ncmpcpp.h, src/playlist_editor.cpp, src/settings.h: cleaning
+
+ * src/ncmpcpp.cpp, src/screen.h: another ugly cast removal
+
+ * src/browser.h, src/clock.h, src/help.h, src/info.h, src/lyrics.h,
+ src/media_library.cpp, src/media_library.h, src/ncmpcpp.cpp, src/playlist.h,
+ src/playlist_editor.cpp, src/playlist_editor.h, src/screen.h,
+ src/search_engine.h, src/tag_editor.cpp, src/tag_editor.h: get rid of this
+ awful casting to List *
+
+  2009-02-16 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/media_library.cpp, src/tag_editor.cpp:
+ use vector<string_pair> instead of map<string, string>
+
+ * src/display.cpp, src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp,
+ src/tag_editor.cpp: fix searching in browser  it was taking whole path, take
+ only top dir.
+
+ * src/ncmpcpp.cpp, src/screen.h: cast properly
+
+ * src/helpers.cpp, src/helpers.h, src/info.cpp, src/lyrics.cpp,
+ src/media_library.cpp, src/ncmpcpp.cpp, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/status.cpp, src/status.h, src/tag_editor.cpp,
+ src/window.cpp, src/window.h: use streams instead of Window::WriteXY()
+
+ * src/Makefile.am, src/browser.cpp, src/browser.h, src/clock.h, src/help.h,
+ src/info.h, src/lyrics.h, src/media_library.cpp, src/media_library.h,
+ src/menu.cpp, src/menu.h, src/ncmpcpp.cpp, src/playlist.cpp, src/playlist.h,
+ src/playlist_editor.cpp, src/playlist_editor.h, src/screen.cpp, src/screen.h,
+ src/search_engine.cpp, src/search_engine.h, src/tag_editor.cpp,
+ src/tag_editor.h: provide generic interface for dealing with selected items
+
+ * src/browser.cpp, src/clock.cpp, src/help.cpp, src/info.cpp, src/lyrics.cpp,
+ src/media_library.cpp, src/playlist.cpp, src/playlist_editor.cpp,
+ src/scrollpad.cpp, src/search_engine.cpp, src/tag_editor.cpp: fix refreshing
+ in clock screen while resizing / remove some unneded code
+
+ * src/browser.cpp, src/clock.cpp, src/global.h, src/help.cpp, src/info.cpp,
+ src/lyrics.cpp, src/media_library.cpp, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/playlist.cpp, src/playlist_editor.cpp, src/screen.h,
+ src/search_engine.cpp, src/status.cpp, src/tag_editor.cpp: improve resizing
+
+  2009-02-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/global.h, src/media_library.cpp, src/ncmpcpp.cpp,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/search_engine.cpp, src/status.cpp: another externs removed
+
+ * src/Makefile.am, src/browser.cpp, src/clock.cpp, src/helpers.cpp,
+ src/info.cpp, src/lyrics.cpp, src/media_library.cpp, src/ncmpcpp.cpp,
+ src/playlist.cpp, src/playlist_editor.cpp, src/screen.h,
+ src/search_engine.cpp, src/status.cpp, src/status.h, src/status_checker.cpp,
+ src/status_checker.h, src/tag_editor.cpp: rename status_checker -> status / +
+ some cleaning
+
+ * src/global.h, src/menu.h, src/ncmpcpp.cpp, src/song.cpp, src/song.h: throw
+ away unneeded code
+
+ * src/display.h, src/global.h, src/ncmpcpp.cpp, src/search_engine.h,
+ src/status_checker.cpp, src/tag_editor.cpp, src/tag_editor.h: get rid of some
+ externs
+
+ * src/clock.cpp, src/clock.h, src/display.cpp, src/global.h, src/helpers.cpp,
+ src/ncmpcpp.cpp, src/screen.h, src/settings.cpp, src/settings.h: use generic
+ Scroll method
+
+ * src/Makefile.am, src/browser.cpp, src/browser.h, src/clock.cpp,
+ src/global.h, src/help.cpp, src/info.cpp, src/lyrics.cpp, src/lyrics.h,
+ src/media_library.cpp, src/media_library.h, src/ncmpcpp.cpp, src/ncmpcpp.h,
+ src/playlist.cpp, src/playlist.h, src/playlist_editor.cpp,
+ src/playlist_editor.h, src/screen.cpp, src/screen.h, src/search_engine.cpp,
+ src/search_engine.h, src/status_checker.cpp, src/tag_editor.cpp,
+ src/tag_editor.h: general code cleaning
+
+ * src/browser.cpp, src/clock.cpp, src/global.h, src/help.cpp, src/info.cpp,
+ src/lyrics.cpp, src/media_library.cpp, src/ncmpcpp.cpp, src/playlist.cpp,
+ src/playlist_editor.cpp, src/screen.h, src/search_engine.cpp,
+ src/tag_editor.cpp: change wCurrent and wPrev to myScreen
+
+  2009-02-14 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/clock.cpp, src/clock.h, src/global.h, src/ncmpcpp.cpp: change namespace
+ Clock into class
+
+ * src/global.h, src/info.cpp, src/info.h, src/ncmpcpp.cpp: change namespace
+ Info into class
+
+ * src/browser.cpp, src/global.h, src/lyrics.cpp, src/lyrics.h,
+ src/ncmpcpp.cpp, src/status_checker.cpp: change namespace Lyrics into class
+
+ * src/global.h, src/help.cpp, src/help.h, src/ncmpcpp.cpp: change namespace
+ Help into class
+
+ * src/browser.cpp, src/global.h, src/info.cpp, src/lyrics.cpp,
+ src/ncmpcpp.cpp, src/status_checker.cpp, src/tag_editor.cpp,
+ src/tag_editor.h: change namespace TagEditor into class
+
+ * src/global.h, src/ncmpcpp.cpp, src/tag_editor.cpp, src/tag_editor.h: change
+ namespace TinyTagEditor into class
+
+ * src/global.h, src/info.cpp, src/lyrics.cpp, src/ncmpcpp.cpp,
+ src/playlist_editor.cpp, src/playlist_editor.h, src/status_checker.cpp,
+ src/tag_editor.cpp: change namespace PlaylistEditor into class
+
+ * src/global.h, src/info.cpp, src/lyrics.cpp, src/media_library.cpp,
+ src/media_library.h, src/ncmpcpp.cpp, src/status_checker.cpp,
+ src/tag_editor.cpp: change namespace MediaLibrary into class
+
+ * src/global.h, src/info.cpp, src/lyrics.cpp, src/ncmpcpp.cpp,
+ src/search_engine.cpp, src/search_engine.h, src/status_checker.cpp,
+ src/tag_editor.cpp: change namespace SearchEngine into class
+
+ * src/global.h, src/lyrics.cpp, src/ncmpcpp.cpp, src/playlist.cpp,
+ src/playlist.h, src/status_checker.cpp: remove extern int now_playing
+
+ * src/browser.cpp, src/browser.h, src/display.cpp, src/display.h,
+ src/global.h, src/helpers.cpp, src/helpers.h, src/info.cpp, src/lyrics.cpp,
+ src/ncmpcpp.cpp, src/playlist.cpp, src/playlist.h, src/status_checker.cpp,
+ src/tag_editor.cpp: change namespace Browser into class
+
+  2009-02-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/browser.cpp, src/clock.cpp, src/display.cpp,
+ src/global.h, src/helpers.cpp, src/info.cpp, src/lyrics.cpp,
+ src/media_library.cpp, src/ncmpcpp.cpp, src/playlist.cpp, src/playlist.h,
+ src/playlist_editor.cpp, src/search_engine.cpp, src/status_checker.cpp,
+ src/tag_editor.cpp: change namespace Playlist into class
+
+ * src/info.cpp, src/info.h, src/lyrics.cpp, src/lyrics.h: fix compilation
+ --without-curl
+
+ * src/Makefile.am, src/browser.cpp, src/browser.h, src/clock.cpp,
+ src/clock.h, src/display.h, src/global.h, src/help.cpp, src/help.h,
+ src/helpers.cpp, src/helpers.h, src/info.cpp, src/info.h, src/lyrics.cpp,
+ src/lyrics.h, src/media_library.cpp, src/media_library.h, src/misc.cpp,
+ src/misc.h, src/ncmpcpp.cpp, src/ncmpcpp.h, src/playlist.cpp, src/playlist.h,
+ src/playlist_editor.cpp, src/playlist_editor.h, src/search_engine.cpp,
+ src/search_engine.h, src/tag_editor.cpp, src/tag_editor.h: separate some code
+ from ncmpcpp.cpp
+
+  2009-02-11 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/browser.cpp, src/clock.cpp, src/display.cpp,
+ src/global.h, src/help.cpp, src/helpers.cpp, src/lyrics.cpp, src/ncmpcpp.cpp,
+ src/search_engine.cpp, src/settings.h, src/status_checker.cpp,
+ src/tag_editor.cpp: move all externs to global.h
+
+ * src/helpers.cpp, src/helpers.h, src/lyrics.cpp, src/lyrics.h,
+ src/ncmpcpp.cpp, src/status_checker.cpp: move WindowTitle() to local unnamed
+ namespace
+
+  2009-02-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/browser.cpp, src/browser.h, src/clock.cpp,
+ src/clock.h, src/display.cpp, src/display.h, src/helpers.cpp, src/helpers.h,
+ src/lyrics.cpp, src/misc.cpp, src/misc.h, src/ncmpcpp.cpp, src/ncmpcpp.h,
+ src/search_engine.cpp, src/search_engine.h, src/settings.cpp, src/settings.h,
+ src/song.cpp, src/song.h, src/tag_editor.cpp, src/tag_editor.h: group various
+ functions more logically
+
+ * src/misc.cpp, src/song.cpp, src/tag_editor.cpp: change std::stringstream to
+ std::ostringstream
+
+ * src/browser.cpp, src/browser.h, src/help.cpp, src/help.h, src/helpers.cpp,
+ src/helpers.h, src/lyrics.cpp, src/lyrics.h, src/menu.h, src/misc.cpp,
+ src/misc.h, src/ncmpcpp.cpp, src/ncmpcpp.h, src/scrollpad.cpp,
+ src/scrollpad.h, src/search_engine.cpp, src/search_engine.h,
+ src/settings.cpp, src/settings.h, src/song.cpp, src/song.h,
+ src/status_checker.cpp, src/status_checker.h, src/tag_editor.cpp,
+ src/tag_editor.h, src/window.cpp, src/window.h: includes cleaning
+
+  2009-02-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/helpers.cpp, src/ncmpcpp.cpp, src/tag_editor.cpp:
+ replace all string::find_last_of() with string::rfind()  find_last_of was
+ working properly only because it was searching only for one character,
+ string::rfind() is appropriate function for this job.
+
+ * doc/config, src/helpers.cpp, src/settings.cpp, src/settings.h: add optional
+ 'ignore leading "The" word' function while sorting
+
+ * src/status_checker.cpp, src/window.cpp, src/window.h: do not display mpd
+ password in clear text
+
+ * src/search_engine.cpp, src/search_engine.h: Search() should take value, not
+ reference
+
+ * src/ncmpcpp.cpp, src/search_engine.cpp, src/search_engine.h: add field
+ 'Any' to search engine
+
+ * src/ncmpcpp.cpp, src/search_engine.h: fix typo
+
+  2009-02-02 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/keys, src/help.cpp, src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: support for switching between supported
+ lyrics databases at runtime
+
+ * doc/config, src/lyrics.cpp, src/lyrics.h, src/settings.cpp, src/settings.h:
+ add support for lyricsplugin database
+
+  2009-02-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, doc/keys, src/browser.cpp, src/help.cpp, src/ncmpcpp.cpp,
+ src/search_engine.cpp, src/settings.cpp, src/settings.h: add support for
+ columns view in browser and search engine
+
+ * src/ncmpcpp.cpp, src/search_engine.cpp: align search fields in media
+ library
+
+  2009-01-30 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/status_checker.cpp: make
+ changes from 7b6521a3 compatible with <mpd-0.14
+
+ * src/ncmpcpp.cpp, src/search_engine.cpp, src/search_engine.h: rearrange
+ fields in search engine / +composer +performer -track
+
+  2009-01-22 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+ * src/lyrics.cpp, src/scrollpad.cpp, src/scrollpad.h, src/strbuffer.h: color
+ artist's info loaded from a file
+
+  2009-01-20 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/scrollpad.cpp, src/scrollpad.h: get rid of Scrollpad::itsXPos as it's
+ redunant
+
+ * src/lyrics.cpp, src/ncmpcpp.cpp: improvements for pthread related stuff
+
+  2009-01-19 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/ncmpcpp.cpp: fix adding selected items to playlist
+
+  2009-01-17 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, doc/config, doc/keys, src/Makefile.am, src/clock.cpp,
+ src/clock.h, src/help.cpp, src/mpdpp.cpp, src/ncmpcpp.cpp, src/ncmpcpp.h,
+ src/settings.cpp, src/settings.h, src/song.cpp, src/status_checker.cpp,
+ src/str_pool.c, src/str_pool.h: add clock screen (ported from ncmpc)
+
+ * src/ncmpcpp.cpp, src/window.cpp: eliminate compiler warnings
+
+ * configure.in, src/charset.cpp, src/charset.h, src/helpers.cpp,
+ src/ncmpcpp.cpp, src/song.cpp: do not exclude iconv support if unicode is
+ enabled
+
+ * COPYING, src/browser.cpp, src/browser.h, src/charset.cpp, src/charset.h,
+ src/help.cpp, src/help.h, src/helpers.cpp, src/helpers.h, src/lyrics.cpp,
+ src/lyrics.h, src/menu.h, src/misc.cpp, src/misc.h, src/mpdpp.cpp,
+ src/mpdpp.h, src/ncmpcpp.cpp, src/ncmpcpp.h, src/scrollpad.cpp,
+ src/scrollpad.h, src/search_engine.cpp, src/search_engine.h,
+ src/settings.cpp, src/settings.h, src/song.cpp, src/song.h,
+ src/status_checker.cpp, src/status_checker.h, src/str_pool.c, src/str_pool.h,
+ src/strbuffer.h, src/tag_editor.cpp, src/tag_editor.h, src/window.cpp,
+ src/window.h: update fsf address and copyright info
+
+  2009-01-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/charset.cpp, src/charset.h, src/helpers.cpp, src/mpdpp.cpp,
+ src/ncmpcpp.cpp, src/song.cpp, src/song.h, src/status_checker.cpp,
+ src/tag_editor.cpp: convert filenames to current locale if needed / some
+ implementation improvements
+
+ * src/ncmpcpp.cpp, src/tag_editor.cpp, src/tag_editor.h: tag editor: add
+ options "Capitalize First Letters" and "lower all letters"
+
+  2009-01-12 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/lyrics.cpp, src/tag_editor.cpp, src/window.cpp: convert lyrics and
+ artist's info to current locale if needed
+
+  2009-01-11 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/ncmpcpp.cpp, src/tag_editor.cpp, src/window.h: always
+ save and read id3 tags in unicode
+
+ * configure.in, src/Makefile.am, src/browser.cpp, src/charset.cpp,
+ src/charset.h, src/helpers.cpp, src/ncmpcpp.cpp, src/song.cpp, src/song.h,
+ src/status_checker.cpp: convert id3 tags, directories and playlist names to
+ current locale if needed  notice: this feature needs unicode disabled.
+
+  2009-01-01 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp: improve parsing argv
+
+  2008-12-28 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/menu.h, src/ncmpcpp.cpp: do not attempt to get/select/whatever item
+ from an empty menu
+
+ * src/helpers.cpp, src/helpers.h, src/status_checker.cpp,
+ src/status_checker.h: move some functions from helpers to status_checker
+
+  2008-12-21 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/ncmpcpp.cpp: some improvements for handling mpd
+ connection
+
+  2008-12-19 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp, src/status_checker.cpp:
+ put scrolling code into function and use it also in lyrics screen
+
+  2008-12-16 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: make
+ displaying screens numbers at start optional
+
+  2008-12-15 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/status_checker.cpp: comment out usage of redraw_screen
+ variable (it's not needed for now)
+
+ * src/ncmpcpp.cpp, src/status_checker.cpp: render state line on stdscr
+ instead of header window
+
+  2008-12-13 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/help.cpp, src/helpers.cpp, src/ncmpcpp.cpp,
+ src/search_engine.h, src/tag_editor.cpp: variables cleaning
+
+  2008-12-12 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/color_parser.cpp, src/menu.cpp: remove unnecessary files
+
+ * src/helpers.cpp, src/menu.h, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp:
+ eliminate remained compiler warnings
+
+ * doc/config, src/settings.cpp: update example configuration file and
+ ReadConfiguration() function
+
+ * src/helpers.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h,
+ src/window.cpp: update displaying playlist in column view
+
+  2008-12-11 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/lyrics.cpp, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h, src/tag_editor.cpp: update settings
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp, src/search_engine.cpp,
+ src/settings.cpp, src/settings.h, src/song.cpp, src/song.h,
+ src/status_checker.cpp, src/tag_editor.cpp: handle colored empty tag marker
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp, src/song.cpp, src/song.h,
+ src/status_checker.cpp: improve handling playlist stats (btw several other
+ improvements)
+
+ * src/helpers.cpp, src/menu.h, src/ncmpcpp.cpp, src/status_checker.cpp,
+ src/window.cpp, src/window.h: update Window::WriteXY() and related stuff
+
+ * src/helpers.cpp, src/helpers.h, src/misc.cpp, src/misc.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/song.cpp, src/status_checker.cpp, src/tag_editor.cpp,
+ src/window.cpp, src/window.h: improve handling statusbar messages (+ some
+ minor various fixes)
+
+  2008-12-10 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/browser.h, src/helpers.cpp, src/helpers.h,
+ src/lyrics.cpp, src/menu.cpp, src/menu.h, src/mpdpp.cpp, src/ncmpcpp.cpp,
+ src/ncmpcpp.h, src/search_engine.cpp, src/search_engine.h, src/settings.cpp,
+ src/settings.h, src/song.cpp, src/song.h, src/status_checker.cpp,
+ src/strbuffer.h, src/tag_editor.cpp, src/tag_editor.h, src/window.h: update
+ Menu class and related stuff
+
+  2008-12-09 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * configure.in, src/Makefile.am, src/help.cpp, src/help.h, src/helpers.cpp,
+ src/helpers.h, src/lyrics.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/song.cpp, src/status_checker.cpp,
+ src/tag_editor.cpp, src/window.cpp, src/window.h: remove color parser /
+ update Window, Scrollpad class and related stuff
+
+ * src/helpers.cpp, src/helpers.h, src/lyrics.cpp, src/ncmpcpp.cpp,
+ src/settings.h, src/status_checker.cpp, src/tag_editor.cpp: remove several
+ redunant externs and use static variables
+
+ * src/browser.cpp, src/browser.h, src/help.cpp, src/helpers.cpp,
+ src/helpers.h, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/search_engine.cpp, src/status_checker.cpp, src/status_checker.h,
+ src/tag_editor.cpp, src/tag_editor.h: put mpd connection related things into
+ namespace
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp, src/status_checker.cpp,
+ src/tag_editor.cpp: improve ShowMessage()
+
+  2008-12-05 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS / version bump
+
+  2008-11-28 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: remove
+ mpd_password variable, it should be defined within mpd_host
+
+  2008-11-22 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * doc/config, src/ncmpcpp.cpp, src/search_engine.cpp, src/settings.cpp,
+ src/settings.h: add config option for default place to search in
+ (database/playlist)
+
+  2008-11-21 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/tag_editor.cpp: make file extensions lowercase before
+ comparing them
+
+ * doc/config, src/ncmpcpp.cpp, src/settings.cpp: don't set default value for
+ mpd_music_dir
+
+ * src/song.cpp, src/song.h: do not create various redundant temp strings in
+ Song class
+
+  2008-11-06 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/browser.cpp, src/helpers.cpp, src/lyrics.cpp, src/mpdpp.cpp,
+ src/mpdpp.h, src/ncmpcpp.cpp, src/settings.cpp, src/song.cpp,
+ src/status_checker.cpp: use size_t instead of int where it's appropriate
+
+  2008-11-04 Andrzej Rybczak <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp: improve parsing argv a bit
+
+  2008-10-28 unK <electricityispower@gmail.com>
+
+ * src/settings.cpp, src/tag_editor.cpp: move anonymous namespaces to the top
+
+  2008-10-27 unK <electricityispower@gmail.com>
+
+ * doc/config, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: add support
+ for user defined mpd host, password and port in config file
+
+ * src/Makefile.am, src/browser.cpp, src/browser.h, src/help.cpp,
+ src/helpers.cpp, src/helpers.h, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h, src/song.cpp, src/status_checker.cpp,
+ src/tag_editor.cpp, src/tag_editor.h: add support for browsing local
+ filesystem
+
+  2008-10-19 unK <electricityispower@gmail.com>
+
+ * src/mpdpp.cpp, src/ncmpcpp.cpp, src/search_engine.cpp, src/search_engine.h:
+ allow searching in current playlist
+
+ * src/mpdpp.cpp, src/ncmpcpp.cpp: check whether info entity returned by mpd
+ is NULL or not
+
+  2008-10-18 unK <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/song.cpp, src/song.h, src/tag_editor.cpp: support for
+ editing tag of local files (outside mpd music dir)
+
+ * src/helpers.cpp, src/ncmpcpp.h: check whether getenv returns NULL or not
+
+  2008-10-12 unK <electricityispower@gmail.com>
+
+ * NEWS, configure.in, src/helpers.cpp: fix typo, update NEWS & version bump
+
+  2008-10-07 unK <electricityispower@gmail.com>
+
+ * src/lyrics.cpp, src/lyrics.h, src/menu.h, src/misc.cpp, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/settings.cpp, src/settings.h,
+ src/status_checker.cpp, src/tag_editor.cpp, src/window.cpp, src/window.h:
+ another code clean-ups
+
+ * src/helpers.cpp, src/ncmpcpp.cpp, src/ncmpcpp.h, src/scrollpad.cpp,
+ src/window.h: include and ifdef clean-up
+
+ * src/mpdpp.cpp, src/scrollpad.cpp, src/window.cpp, src/window.h: improve
+ utf8 related stuff
+
+ * src/helpers.cpp, src/mpdpp.cpp, src/mpdpp.h, src/status_checker.cpp:
+ several code clean-ups and corrections
+
+  2008-10-06 unK <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/ncmpcpp.cpp: fix compilation issue without taglib
+ support and replace printf by std::cout
+
+  2008-10-05 unK <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/libmpdclient.c, src/libmpdclient.h,
+ src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: implement argv handler and basic
+ mpc commands
+
+ * src/libmpdclient.c, src/libmpdclient.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp: add to libmpdclient support for getting list of any tag type
+
+ * src/help.cpp, src/helpers.cpp, src/lyrics.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/settings.cpp, src/song.cpp, src/status_checker.cpp,
+ src/tag_editor.cpp, src/window.cpp: fix various compiler warnings and a few
+ minor bugs
+
+  2008-10-04 unK <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/tag_editor.cpp, src/tag_editor.h: fix
+ displaying title of primary column in media library with tag editor disabled
+
+ * doc/keys, src/help.cpp, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h:
+ add tag type list switcher to media library
+
+ * doc/config, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h, src/song.h,
+ src/tag_editor.cpp, src/tag_editor.h: support for user defined tag type in
+ left column of media library
+
+  2008-10-02 unK <electricityispower@gmail.com>
+
+ * src/lyrics.cpp, src/ncmpcpp.cpp: split data_ready to lyrics_ready and
+ artist_info_ready to avoid main loop lockup
+
+  2008-10-01 unK <electricityispower@gmail.com>
+
+ * src/window.cpp, src/window.h: remove ToString() and ToWString() returning C
+ strings as they aren't used anyway
+
+  2008-09-30 unK <electricityispower@gmail.com>
+
+ * configure.in, src/tag_editor.cpp: reverse 0384b236 and fix saving ID3v2
+ frames
+
+  2008-09-29 unK <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/lyrics.cpp, src/misc.cpp, src/misc.h, src/ncmpcpp.cpp,
+ src/search_engine.cpp: use ToLower() instead of calling std::transform
+ explicitly all the time
+
+  2008-09-28 unK <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/lyrics.cpp, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h, src/tag_editor.cpp: store fetched artist's
+ info in ~/.ncmpcpp/artists instead of ~/.lyrics
+
+ * doc/Makefile.am, doc/config, doc/keys, doc/ncmpcpp_keys, doc/ncmpcpprc,
+ src/settings.cpp: change place of storing config files to ~/.ncmpcpp folder
+
+  2008-09-27 unK <electricityispower@gmail.com>
+
+ * src/settings.cpp, src/settings.h: fix for
+ 9b65b39126a7d99ada44283a2ab6616bfdab8b5f (funny bug)
+
+ * doc/ncmpcpprc, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: support
+ for user defined base seek time
+
+ * src/help.cpp, src/lyrics.cpp, src/lyrics.h, src/settings.cpp,
+ src/settings.h, src/tag_editor.cpp, src/tag_editor.h: put local functions
+ into unnamed namespaces
+
+ * src/lyrics.cpp, src/lyrics.h, src/ncmpcpp.cpp, src/scrollpad.cpp: make
+ fetching lyrics and artist's info work in background
+
+  2008-09-26 unK <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/song.cpp, src/song.h, src/tag_editor.cpp: support for
+ editing composer, performer and disc tag
+
+  2008-09-25 unK <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/tag_editor.cpp: add support for renaming in tiny tag
+ editor
+
+ * src/helpers.cpp, src/ncmpcpp.cpp, src/search_engine.cpp, src/song.cpp,
+ src/song.h, src/tag_editor.cpp: rename Song::GetShortFilename() to
+ Song::GetName()
+
+ * doc/ncmpcpp_keys, doc/ncmpcpprc, src/help.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h, src/window.h: support for adding items like
+ in ncmpc (disabled by default)
+
+  2008-09-21 unK <electricityispower@gmail.com>
+
+ * configure.in, src/ncmpcpp.cpp, src/ncmpcpp.h, src/search_engine.cpp,
+ src/tag_editor.cpp: make use of std::make_pair
+
+  2008-09-20 unK <electricityispower@gmail.com>
+
+ * NEWS, configure.in, src/help.cpp: update NEWS & version bump
+
+ * doc/ncmpcpprc, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h,
+ src/status_checker.cpp: support for following lyrics of now playing song
+
+  2008-09-19 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpprc, src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp: support for
+ dirs/playlists rename in browser
+
+  2008-09-17 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpprc, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: add
+ incremental seeking as an option (enabled by default)
+
+ * src/helpers.cpp, src/ncmpcpp.cpp, src/song.cpp, src/song.h: hadle streams
+ in playlist properly
+
+ * src/song.cpp, src/str_pool.c: fix putting strings into a pool
+
+ * src/mpdpp.cpp, src/ncmpcpp.cpp, src/search_engine.cpp, src/song.cpp,
+ src/song.h, src/status_checker.cpp, src/str_pool.c, src/str_pool.h: change
+ internal storing of Song info (much less memory consumption)
+
+  2008-09-16 unK <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/libmpdclient.c, src/libmpdclient.h, src/str_pool.c,
+ src/str_pool.h: allocate strings in a pool (taken from ncmpc)
+
+  2008-09-15 unK <electricityispower@gmail.com>
+
+ * src/ncmpcpp.cpp, src/status_checker.cpp: minor fixes for moving and
+ deleting items
+
+ * src/ncmpcpp.cpp, src/status_checker.cpp: improve bolding songs added to
+ playlist
+
+ * doc/ncmpcpp_keys, src/help.cpp, src/lyrics.cpp, src/lyrics.h,
+ src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: support for fetching
+ artist's info from last.fm
+
+  2008-09-14 unK <electricityispower@gmail.com>
+
+ * src/lyrics.cpp, src/lyrics.h: escape html chars in fetched lyrics properly
+
+ * doc/ncmpcpprc, src/color_parser.cpp, src/helpers.cpp, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h, src/tag_editor.cpp: extend configuration
+
+ * src/ncmpcpp.cpp, src/tag_editor.cpp, src/tag_editor.h: filter chars
+ unallowed in filename / more actions for songs in tag editor
+
+  2008-09-13 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpprc, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h,
+ src/window.cpp: introduce switch for 'fancy scrolling'
+
+ * doc/ncmpcpprc, src/helpers.cpp, src/helpers.h, src/menu.h,
+ src/search_engine.cpp, src/search_engine.h, src/tag_editor.cpp,
+ src/tag_editor.h, src/window.cpp, src/window.h: new option for song format -
+ right align (thx to Nathan Jones)
+
+ * src/window.cpp, src/window.h: new feature for parser, coordinates reader
+
+ * src/misc.cpp, src/misc.h, src/ncmpcpp.cpp, src/song.cpp, src/song.h,
+ src/status_checker.cpp: improve time displaying / allow markers for empty
+ tags without color
+
+ * src/menu.h, src/ncmpcpp.cpp, src/status_checker.cpp, src/window.cpp: fixes
+
+ * src/ncmpcpp.cpp, src/status_checker.cpp: refresh header window and right
+ column in tag editor only if necessary
+
+  2008-09-12 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpp_keys, doc/ncmpcpprc, src/help.cpp, src/helpers.cpp,
+ src/helpers.h, src/ncmpcpp.cpp, src/ncmpcpp.h, src/settings.cpp,
+ src/settings.h, src/song.h, src/tag_editor.cpp, src/tag_editor.h,
+ src/window.cpp, src/window.h: filename parser for tag editor, renaming files
+ support, minor fixes
+
+  2008-09-11 unK <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/help.cpp, src/help.h, src/helpers.cpp, src/helpers.h,
+ src/ncmpcpp.cpp: code clean-ups (help screen initialization splitted)
+
+ * src/helpers.cpp, src/ncmpcpp.cpp, src/ncmpcpp.h, src/settings.cpp,
+ src/tag_editor.cpp: suport for renaming directories in tag editor
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h, src/status_checker.cpp: directories view for tag editor
+
+  2008-09-10 unK <electricityispower@gmail.com>
+
+ * src/window.cpp, src/window.h: add scroll ability for Window::GetString
+
+ * src/ncmpcpp.cpp, src/scrollpad.cpp, src/window.cpp: some fixes for color
+ parser
+
+ * doc/ncmpcpp_keys, src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp,
+ src/ncmpcpp.h, src/settings.cpp, src/settings.h: brand new song info screen
+
+ * src/helpers.cpp, src/menu.h, src/ncmpcpp.cpp, src/status_checker.cpp,
+ src/tag_editor.cpp: simplify adding options in Menu class
+
+ * src/helpers.cpp, src/helpers.h, src/menu.h, src/ncmpcpp.cpp, src/ncmpcpp.h,
+ src/search_engine.cpp, src/search_engine.h, src/status_checker.cpp: use
+ std::pair instead of two different containters
+
+  2008-09-09 unK <electricityispower@gmail.com>
+
+ * src/Makefile.am, src/helpers.cpp, src/helpers.h, src/lyrics.cpp,
+ src/misc.h, src/mpdpp.h, src/ncmpcpp.cpp, src/ncmpcpp.h,
+ src/search_engine.cpp, src/search_engine.h, src/song.cpp, src/song.h,
+ src/status_checker.cpp, src/status_checker.h, src/tag_editor.cpp,
+ src/tag_editor.h: a lot of code clean-ups, remove song info screen
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp, src/status_checker.cpp:
+ improve checking if song is in playlist in search engine
+
+  2008-09-07 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpp_keys, doc/ncmpcpprc, src/helpers.cpp, src/helpers.h,
+ src/ncmpcpp.cpp, src/settings.cpp, src/settings.h, src/song.h,
+ src/window.cpp: improvements for album tag editor
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp: corections for album tag
+ editor
+
+  2008-09-06 unK <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/menu.h, src/ncmpcpp.cpp, src/ncmpcpp.h,
+ src/settings.cpp, src/settings.h, src/song.h, src/status_checker.cpp: add
+ albums' editor screen (quite experimental for now)
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp: add playlist renaming support
+
+ * configure.in, src/ncmpcpp.cpp, src/ncmpcpp.h: improve getting album's year
+ in media library screen
+
+  2008-09-05 unK <electricityispower@gmail.com>
+
+ * NEWS, configure.in: update NEWS & version bump
+
+ * src/color_parser.cpp, src/helpers.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/status_checker.cpp, src/window.cpp,
+ src/window.h: classes cleaning
+
+ * src/helpers.cpp, src/helpers.h, src/menu.h, src/ncmpcpp.cpp,
+ src/status_checker.cpp: start option numeration from 0 instead of 1 (1 was
+ really stupid idea)
+
+ * src/menu.h, src/ncmpcpp.cpp: fix bug in refreshing menus and adding songs
+ from library screen
+
+  2008-09-04 unK <electricityispower@gmail.com>
+
+ * src/helpers.cpp, src/helpers.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/status_checker.cpp, src/window.cpp, src/window.h:
+ improve moving items and fix password handling (again) + fixes
+
+ * doc/ncmpcpp_keys, src/helpers.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/settings.cpp, src/settings.h, src/window.cpp,
+ src/window.h: add playlist mode switcher (and some clean-ups ofc)
+
+ * doc/ncmpcpprc, src/lyrics.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/status_checker.cpp: use mkdir() instead of system() + a few clean-ups
+
+  2008-09-03 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpprc, src/helpers.cpp, src/helpers.h, src/menu.h, src/ncmpcpp.cpp,
+ src/ncmpcpp.h, src/settings.cpp, src/settings.h, src/song.cpp,
+ src/status_checker.cpp, src/window.h: support for columns view in playlist
+
+ * src/ncmpcpp.cpp, src/song.cpp: make 'go to containing dir' function work on
+ all screens
+
+ * doc/ncmpcpprc, src/color_parser.cpp, src/helpers.cpp, src/helpers.h,
+ src/menu.h, src/ncmpcpp.cpp, src/settings.cpp, src/song.cpp: fix for bug with
+ colors, more clean-ups
+
+ * src/helpers.cpp, src/helpers.h, src/menu.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/status_checker.cpp, src/window.cpp,
+ src/window.h: class Menu is template now / bunch of code clean-ups.
+
+  2008-09-02 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpp_keys, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: 'start
+ searching immediately' function added
+
+ * src/menu.cpp, src/ncmpcpp.cpp, src/scrollpad.cpp, src/window.h: more
+ clean-ups
+
+ * doc/ncmpcpp_keys, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h: 'go to
+ dir containing found item' function added
+
+ * src/color_parser.cpp, src/menu.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/settings.cpp, src/settings.h,
+ src/window.cpp, src/window.h: code clean-ups
+
+ * src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp, src/status_checker.cpp:
+ corrections for playlist editor screen
+
+  2008-09-01 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpp_keys, doc/ncmpcpprc, src/helpers.cpp, src/helpers.h,
+ src/menu.cpp, src/menu.h, src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp,
+ src/ncmpcpp.h, src/scrollpad.cpp, src/scrollpad.h, src/settings.cpp,
+ src/settings.h, src/status_checker.cpp, src/window.cpp, src/window.h:
+ playlists management support and playlist editor screen added
+
+  2008-08-31 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpp_keys, doc/ncmpcpprc, src/color_parser.cpp, src/helpers.cpp,
+ src/helpers.h, src/menu.cpp, src/menu.h, src/ncmpcpp.cpp, src/settings.cpp,
+ src/settings.h, src/window.cpp, src/window.h: add multiple items selection on
+ playlist screen and nested colors support
+
+  2008-08-29 unK <electricityispower@gmail.com>
+
+ * doc/ncmpcpp_keys, doc/ncmpcpprc, src/menu.cpp, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: fix highlighting and change search mode a
+ bit
+
+  2008-08-27 unK <electricityispower@gmail.com>
+
+ * configure.in, src/ncmpcpp.cpp, src/status_checker.cpp: more fixes + version
+ bump
+
+ * doc/ncmpcpp_keys, doc/ncmpcpprc, src/menu.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/settings.cpp, src/settings.h,
+ src/status_checker.cpp, src/window.cpp, src/window.h: 'repeat one song' mode
+ added + memleak fix and some code clean-ups
+
+  2008-08-26 unK <electricityispower@gmail.com>
+
+ * src/song.cpp, src/status_checker.cpp: fix playlist update
+
+ * Makefile.am, NEWS, configure.in, doc/ncmpcpp_keys, doc/ncmpcpprc,
+ examples/ncmpcpp_keys, examples/ncmpcpprc, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp: more common way of handling example config files (like in
+ ncmpc) + add a few more functions to libmpdclient implementation
+
+  2008-08-24 unK <electricityispower@gmail.com>
+
+ * examples/ncmpcpp_keys, examples/ncmpcpprc, src/helpers.cpp,
+ src/ncmpcpp.cpp, src/settings.cpp, src/settings.h, src/song.h,
+ src/status_checker.cpp: add option added + a few fixes regarding tracks with
+ unknown length
+
+  2008-08-23 unknown <unknown@localhost.(none)>
+
+ * examples/ncmpcpp_keys, examples/ncmpcpprc, src/helpers.cpp, src/helpers.h,
+ src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/ncmpcpp.h, src/settings.cpp,
+ src/settings.h, src/status_checker.cpp: add custom keys configuration
+
+  2008-08-22 unknown <unknown@localhost.(none)>
+
+ * src/helpers.cpp, src/helpers.h, src/mpdpp.cpp, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h: base for custom keys configuration + a few
+ minor fixes
+
+  2008-08-20 unknown <unknown@localhost.(none)>
+
+ * examples/ncmpcpprc, src/helpers.cpp, src/song.cpp, src/song.h: add support
+ for composer, performer and disc tags
+
+ * configure.in, src/lyrics.h: version bump
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/status_checker.cpp: add proper mpd password
+ handling
+
+  2008-08-19 unknown <unknown@localhost.(none)>
+
+ * examples/ncmpcpprc, src/ncmpcpp.cpp, src/settings.cpp, src/settings.h,
+ src/status_checker.cpp: add autocenter mode
+
+ * examples/ncmpcpprc, src/helpers.cpp, src/menu.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/settings.cpp, src/settings.h, src/window.cpp,
+ src/window.h: more fixes, config options, keybindings, case insensitive
+ sorting in browser
+
+  2008-08-18 unknown <unknown@localhost.(none)>
+
+ * src/helpers.cpp, src/helpers.h, src/mpdpp.h: make sorting items in browser
+ case insensitive
+
+ * src/helpers.cpp, src/lyrics.cpp, src/menu.cpp, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/settings.cpp, src/status_checker.cpp: various clean-ups
+ and improvements
+
+  2008-08-17 unknown <unknown@localhost.(none)>
+
+ * src/mpdpp.cpp, src/mpdpp.h, src/ncmpcpp.cpp, src/status_checker.cpp: add
+ saving and deleting playlist
+
+ * configure.in, src/Makefile.am, src/helpers.cpp, src/helpers.h,
+ src/libmpdclient.c, src/libmpdclient.h, src/mpdpp.cpp, src/mpdpp.h,
+ src/ncmpcpp.cpp, src/ncmpcpp.h, src/status_checker.cpp, src/status_checker.h:
+ drop libmpd dependency in favor of its own libmpdclient wrapper
+
+  2008-08-16 unknown <unknown@localhost.(none)>
+
+ * src/ncmpcpp.cpp, src/ncmpcpp.h: add switching between playlist and browser
+ with tab key
+
+  2008-08-15 unknown <unknown@localhost.(none)>
+
+ * examples/ncmpcpprc, src/menu.cpp, src/settings.cpp: workaround for counting
+ item length, will fix it later
+
+ * configure.in, src/Makefile.am, src/helpers.cpp, src/lyrics.cpp,
+ src/lyrics.h, src/ncmpcpp.cpp, src/ncmpcpp.h, src/scrollpad.cpp,
+ src/scrollpad.h, src/settings.h, src/status_checker.cpp: add lyrics screen
+
+ * src/menu.cpp, src/menu.h, src/ncmpcpp.cpp, src/status_checker.cpp: correct
+ playlist clearing
+
+  2008-08-14 unknown <unknown@localhost.(none)>
+
+ * src/helpers.cpp, src/helpers.h, src/menu.cpp, src/misc.cpp, src/misc.h,
+ src/ncmpcpp.cpp, src/status_checker.cpp: lighter deletion + playlist status
+ added
+
+  2008-08-13 unknown <unknown@localhost.(none)>
+
+ * src/helpers.cpp, src/menu.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/scrollpad.cpp, src/scrollpad.h, src/status_checker.cpp, src/window.cpp,
+ src/window.h: optimization of scrolling and redrawing windows
+
+  2008-08-12 unknown <unknown@localhost.(none)>
+
+ * configure.in, src/ncmpcpp.cpp: version bump
+
+ * src/ncmpcpp.cpp, src/status_checker.cpp: update artists' list if database
+ has changed
+
+ * src/helpers.cpp, src/helpers.h, src/menu.cpp, src/menu.h, src/ncmpcpp.cpp,
+ src/song.h, src/status_checker.cpp: add find forward/backward option + some
+ optimizations and code clean-ups
+
+  2008-08-11 unknown <unknown@localhost.(none)>
+
+ * src/ncmpcpp.cpp, src/song.h: add crop function (removes all song from
+ playlist except the playing one) + some fixes
+
+  2008-08-10 unknown <unknown@localhost.(none)>
+
+ * src/ncmpcpp.cpp, src/song.cpp, src/status_checker.cpp: another fix
+
+ * configure.in, src/helpers.cpp, src/ncmpcpp.cpp, src/song.cpp, src/song.h,
+ src/status_checker.cpp: various optimalizations, runs much faster now,
+ especially with huge playlist
+
+  2008-08-09 unknown <unknown@localhost.(none)>
+
+ * src/song.cpp, src/song.h: define various operators for Song class
+
+ * configure.in, src/helpers.cpp, src/helpers.h, src/ncmpcpp.cpp,
+ src/song.cpp, src/song.h, src/status_checker.cpp: compare hashes instead of
+ filenames
+
+  2008-08-08 unknown <unknown@localhost.(none)>
+
+ * configure.in, examples/ncmpcpprc, src/helpers.cpp, src/helpers.h,
+ src/menu.cpp, src/menu.h, src/ncmpcpp.cpp, src/ncmpcpp.h, src/settings.cpp,
+ src/settings.h, src/song.cpp, src/status_checker.cpp, src/window.cpp: new
+ screen (media library), some fixes etc.
+
+  2008-08-08 Qball Cow <qball@QDesk.site>
+
+ * autogen.sh, configure.in: Adding a autogen.sh, so building a git copy is
+ easier
+
+  2008-08-07 unknown <unknown@localhost.(none)>
+
+ * examples/ncmpcpprc, src/helpers.cpp, src/menu.cpp, src/ncmpcpp.cpp,
+ src/settings.cpp, src/settings.h, src/status_checker.cpp, src/window.cpp:
+ make parts of interface hideable
+
+ * configure.in, examples/.ncmpcpprc, examples/ncmpcpprc, src/helpers.cpp,
+ src/menu.cpp, src/ncmpcpp.cpp, src/ncmpcpp.h, src/scrollpad.cpp,
+ src/settings.cpp, src/settings.h, src/status_checker.cpp, src/window.cpp,
+ src/window.h: make taglib optional + more colors to define + other
+ improvements
+
+  2008-08-06 unknown <unknown@localhost.(none)>
+
+ * configure.in, src/helpers.cpp, src/ncmpcpp.cpp, src/ncmpcpp.h,
+ src/song.cpp, src/song.h, src/status_checker.cpp, src/window.h: some fixes,
+ code cleanups and corrected configure.in
+
+  2008-08-04 unknown <unknown@localhost.(none)>
+
+ * AUTHORS, COPYING, Makefile.am, configure.in, src/Makefile.am,
+ src/color_parser.cpp, src/helpers.cpp, src/helpers.h, src/menu.cpp,
+ src/menu.h, src/misc.cpp, src/misc.h, src/ncmpcpp.cpp, src/ncmpcpp.h,
+ src/scrollpad.cpp, src/scrollpad.h, src/settings.cpp, src/settings.h,
+ src/song.cpp, src/song.h, src/status_checker.cpp, src/status_checker.h,
+ src/window.cpp, src/window.h: repo starts
